import{s as af,n as rf,o as gf}from"../chunks/scheduler.6062bdaf.js";import{S as sf,i as of,g,s as r,r as l,A as lf,h as s,f as t,c as i,j as h,u,x as _,k as d,y as o,a,v as m,d as c,t as p,w as f}from"../chunks/index.4bca734e.js";import{D as b}from"../chunks/Docstring.ed07512f.js";import{H as v}from"../chunks/Heading.723dceba.js";function uf(nc){let $,Zi,qi,Mi,mt,Ri,ct,ac=`This page lists the types (e.g. dataclasses) available for each task supported on the Hugging Face Hub.
Each task is specified using a JSON schema, and the types are generated from these schemas - with some customization
due to Python requirements.
Visit <a href="https://github.com/huggingface/huggingface.js/tree/main/packages/tasks/src/tasks" rel="nofollow">@huggingface.js/tasks</a>
to find the JSON schemas for each task.`,Bi,pt,rc="This part of the lib is still under development and will be improved in future releases.",Fi,ft,Hi,x,ht,cu,Wa,ic="Inputs for Audio Classification inference",Ui,C,dt,pu,Ka,gc="Outputs for Audio Classification inference",Ji,y,bt,fu,Xa,sc=`Additional inference parameters
Additional inference parameters for Audio Classification`,Wi,_t,Ki,I,vt,hu,Ya,oc="Inputs for Audio to Audio inference",Xi,O,$t,du,er,lc=`Outputs of inference for the Audio To Audio task
A generated audio file with its label.`,Yi,xt,eg,w,Ct,bu,tr,uc=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,tg,T,yt,_u,nr,mc="Inputs for Automatic Speech Recognition inference",ng,D,It,vu,ar,cc="Outputs of inference for the Automatic Speech Recognition task",ag,Ot,wt,rg,A,Tt,$u,rr,pc=`Additional inference parameters
Additional inference parameters for Automatic Speech Recognition`,ig,Dt,gg,N,At,xu,ir,fc="Inputs for ChatCompletion inference",sg,Nt,Pt,og,P,Et,Cu,gr,hc="Outputs for Chat Completion inference",lg,kt,Vt,ug,Lt,St,mg,E,zt,yu,sr,dc="Chat Completion Stream Output",cg,Gt,jt,pg,k,qt,Iu,or,bc="A chat completion delta generated by streamed model responses.",fg,Qt,hg,V,Zt,Ou,lr,_c="Inputs for Depth Estimation inference",dg,L,Mt,wu,ur,vc="Outputs of inference for the Depth Estimation task",bg,Rt,_g,S,Bt,Tu,mr,$c="Inputs for Document Question Answering inference",vg,z,Ft,Du,cr,xc="One (document, question) pair to answer",$g,G,Ht,Au,pr,Cc="Outputs of inference for the Document Question Answering task",xg,j,Ut,Nu,fr,yc=`Additional inference parameters
Additional inference parameters for Document Question Answering`,Cg,Jt,yg,q,Wt,Pu,hr,Ic="Inputs for Text Embedding inference",Ig,Kt,Og,Q,Xt,Eu,dr,Oc="Inputs for Fill Mask inference",wg,Z,Yt,ku,br,wc="Outputs of inference for the Fill Mask task",Tg,M,en,Vu,_r,Tc=`Additional inference parameters
Additional inference parameters for Fill Mask`,Dg,tn,Ag,R,nn,Lu,vr,Dc="Inputs for Image Classification inference",Ng,B,an,Su,$r,Ac="Outputs of inference for the Image Classification task",Pg,F,rn,zu,xr,Nc=`Additional inference parameters
Additional inference parameters for Image Classification`,Eg,gn,kg,H,sn,Gu,Cr,Pc="Inputs for Image Segmentation inference",Vg,U,on,ju,yr,Ec=`Outputs of inference for the Image Segmentation task
A predicted mask / segment`,Lg,J,ln,qu,Ir,kc=`Additional inference parameters
Additional inference parameters for Image Segmentation`,Sg,un,zg,W,mn,Qu,Or,Vc="Inputs for Image To Image inference",Gg,K,cn,Zu,wr,Lc="Outputs of inference for the Image To Image task",jg,X,pn,Mu,Tr,Sc=`Additional inference parameters
Additional inference parameters for Image To Image`,qg,Y,fn,Ru,Dr,zc="The size in pixel of the output image",Qg,hn,Zg,ee,dn,Bu,Ar,Gc=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,Mg,te,bn,Fu,Nr,jc="Inputs for Image To Text inference",Rg,ne,_n,Hu,Pr,qc="Outputs of inference for the Image To Text task",Bg,ae,vn,Uu,Er,Qc=`Additional inference parameters
Additional inference parameters for Image To Text`,Fg,$n,Hg,re,xn,Ju,kr,Zc=`The predicted bounding box. Coordinates are relative to the top left corner of the input
image.`,Ug,ie,Cn,Wu,Vr,Mc="Inputs for Object Detection inference",Jg,ge,yn,Ku,Lr,Rc="Outputs of inference for the Object Detection task",Wg,se,In,Xu,Sr,Bc=`Additional inference parameters
Additional inference parameters for Object Detection`,Kg,On,Xg,oe,wn,Yu,zr,Fc="Inputs for Question Answering inference",Yg,le,Tn,em,Gr,Hc="One (context, question) pair to answer",es,ue,Dn,tm,jr,Uc="Outputs of inference for the Question Answering task",ts,me,An,nm,qr,Jc=`Additional inference parameters
Additional inference parameters for Question Answering`,ns,Nn,as,ce,Pn,am,Qr,Wc="Inputs for Sentence similarity inference",rs,En,kn,is,Vn,gs,pe,Ln,rm,Zr,Kc=`Additional inference parameters
Additional inference parameters for Text2text Generation`,ss,fe,Sn,im,Mr,Xc=`Inputs for Summarization inference
Inputs for Text2text Generation inference`,os,he,zn,gm,Rr,Yc="Outputs of inference for the Summarization task",ls,Gn,us,de,jn,sm,Br,ep="Inputs for Table Question Answering inference",ms,be,qn,om,Fr,tp="One (table, question) pair to answer",cs,_e,Qn,lm,Hr,np="Outputs of inference for the Table Question Answering task",ps,Zn,fs,ve,Mn,um,Ur,ap="Inputs for Text2text Generation inference",hs,$e,Rn,mm,Jr,rp="Outputs of inference for the Text2text Generation task",ds,xe,Bn,cm,Wr,ip=`Additional inference parameters
Additional inference parameters for Text2text Generation`,bs,Fn,_s,Ce,Hn,pm,Kr,gp="Inputs for Text Classification inference",vs,ye,Un,fm,Xr,sp="Outputs of inference for the Text Classification task",$s,Ie,Jn,hm,Yr,op=`Additional inference parameters
Additional inference parameters for Text Classification`,xs,Wn,Cs,Oe,Kn,dm,ei,lp="Inputs for Text Generation inference",ys,we,Xn,bm,ti,up="Outputs for Text Generation inference",Is,Te,Yn,_m,ni,mp="When enabled, details about the generation",Os,ea,ta,ws,De,na,vm,ai,cp="Generated token.",Ts,Ae,aa,$m,ri,pp=`Additional inference parameters
Additional inference parameters for Text Generation`,Ds,ra,ia,As,Ne,ga,xm,ii,fp="Generation details. Only available when the generation is finished.",Ns,Pe,sa,Cm,gi,hp="Text Generation Stream Output",Ps,oa,Es,Ee,la,ym,si,dp=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,ks,ke,ua,Im,oi,bp="Inputs for Text To Audio inference",Vs,Ve,ma,Om,li,_p="Outputs of inference for the Text To Audio task",Ls,Le,ca,wm,ui,vp=`Additional inference parameters
Additional inference parameters for Text To Audio`,Ss,pa,zs,Se,fa,Tm,mi,$p="Inputs for Text To Image inference",Gs,ze,ha,Dm,ci,xp="Outputs of inference for the Text To Image task",js,Ge,da,Am,pi,Cp=`Additional inference parameters
Additional inference parameters for Text To Image`,qs,je,ba,Nm,fi,yp="The size in pixel of the output image",Qs,_a,Zs,qe,va,Pm,hi,Ip="Inputs for Token Classification inference",Ms,Qe,$a,Em,di,Op="Outputs of inference for the Token Classification task",Rs,Ze,xa,km,bi,wp=`Additional inference parameters
Additional inference parameters for Token Classification`,Bs,Ca,Fs,Me,ya,Vm,_i,Tp=`Additional inference parameters
Additional inference parameters for Text2text Generation`,Hs,Re,Ia,Lm,vi,Dp=`Inputs for Translation inference
Inputs for Text2text Generation inference`,Us,Be,Oa,Sm,$i,Ap="Outputs of inference for the Translation task",Js,wa,Ws,Fe,Ta,zm,xi,Np="Inputs for Video Classification inference",Ks,He,Da,Gm,Ci,Pp="Outputs of inference for the Video Classification task",Xs,Ue,Aa,jm,yi,Ep=`Additional inference parameters
Additional inference parameters for Video Classification`,Ys,Na,eo,Je,Pa,qm,Ii,kp="Inputs for Visual Question Answering inference",to,We,Ea,Qm,Oi,Vp="One (image, question) pair to answer",no,Ke,ka,Zm,wi,Lp="Outputs of inference for the Visual Question Answering task",ao,Xe,Va,Mm,Ti,Sp=`Additional inference parameters
Additional inference parameters for Visual Question Answering`,ro,La,io,Ye,Sa,Rm,Di,zp="Inputs for Zero Shot Classification inference",go,et,za,Bm,Ai,Gp="The input text data, with candidate labels",so,tt,Ga,Fm,Ni,jp="Outputs of inference for the Zero Shot Classification task",oo,nt,ja,Hm,Pi,qp=`Additional inference parameters
Additional inference parameters for Zero Shot Classification`,lo,qa,uo,at,Qa,Um,Ei,Qp="Inputs for Zero Shot Image Classification inference",mo,rt,Za,Jm,ki,Zp="The input image data, with candidate labels",co,it,Ma,Wm,Vi,Mp="Outputs of inference for the Zero Shot Image Classification task",po,gt,Ra,Km,Li,Rp=`Additional inference parameters
Additional inference parameters for Zero Shot Image Classification`,fo,Ba,ho,st,Fa,Xm,Si,Bp=`The predicted bounding box. Coordinates are relative to the top left corner of the input
image.`,bo,ot,Ha,Ym,zi,Fp="Inputs for Zero Shot Object Detection inference",_o,lt,Ua,ec,Gi,Hp="The input image data, with candidate labels",vo,ut,Ja,tc,ji,Up="Outputs of inference for the Zero Shot Object Detection task",$o,Qi,xo;return mt=new v({props:{title:"Inference types",local:"inference-types",headingTag:"h1"}}),ft=new v({props:{title:"audio_classification",local:"huggingface_hub.AudioClassificationInput",headingTag:"h2"}}),ht=new b({props:{name:"class huggingface_hub.AudioClassificationInput",anchor:"huggingface_hub.AudioClassificationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/audio_classification.py#L26"}}),dt=new b({props:{name:"class huggingface_hub.AudioClassificationOutputElement",anchor:"huggingface_hub.AudioClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/audio_classification.py#L36"}}),bt=new b({props:{name:"class huggingface_hub.AudioClassificationParameters",anchor:"huggingface_hub.AudioClassificationParameters",parameters:[{name:"function_to_apply",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/audio_classification.py#L15"}}),_t=new v({props:{title:"audio_to_audio",local:"huggingface_hub.AudioToAudioInput",headingTag:"h2"}}),vt=new b({props:{name:"class huggingface_hub.AudioToAudioInput",anchor:"huggingface_hub.AudioToAudioInput",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/audio_to_audio.py#L12"}}),$t=new b({props:{name:"class huggingface_hub.AudioToAudioOutputElement",anchor:"huggingface_hub.AudioToAudioOutputElement",parameters:[{name:"blob",val:": Any"},{name:"content_type",val:": str"},{name:"label",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/audio_to_audio.py#L20"}}),xt=new v({props:{title:"automatic_speech_recognition",local:"huggingface_hub.AutomaticSpeechRecognitionGenerationParameters",headingTag:"h2"}}),Ct=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionGenerationParameters",anchor:"huggingface_hub.AutomaticSpeechRecognitionGenerationParameters",parameters:[{name:"do_sample",val:": Optional = None"},{name:"early_stopping",val:": Union = None"},{name:"epsilon_cutoff",val:": Optional = None"},{name:"eta_cutoff",val:": Optional = None"},{name:"max_length",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"},{name:"min_length",val:": Optional = None"},{name:"min_new_tokens",val:": Optional = None"},{name:"num_beam_groups",val:": Optional = None"},{name:"num_beams",val:": Optional = None"},{name:"penalty_alpha",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"top_p",val:": Optional = None"},{name:"typical_p",val:": Optional = None"},{name:"use_cache",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L15"}}),yt=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionInput",anchor:"huggingface_hub.AutomaticSpeechRecognitionInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L89"}}),It=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionOutput",anchor:"huggingface_hub.AutomaticSpeechRecognitionOutput",parameters:[{name:"text",val:": str"},{name:"chunks",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L107"}}),wt=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionOutputChunk",anchor:"huggingface_hub.AutomaticSpeechRecognitionOutputChunk",parameters:[{name:"text",val:": str"},{name:"timestamps",val:": List"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L99"}}),Tt=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionParameters",anchor:"huggingface_hub.AutomaticSpeechRecognitionParameters",parameters:[{name:"generate",val:": Optional = None"},{name:"return_timestamps",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L77"}}),Dt=new v({props:{title:"chat_completion",local:"huggingface_hub.ChatCompletionInput",headingTag:"h2"}}),At=new b({props:{name:"class huggingface_hub.ChatCompletionInput",anchor:"huggingface_hub.ChatCompletionInput",parameters:[{name:"messages",val:": List"},{name:"frequency_penalty",val:": Optional = None"},{name:"max_tokens",val:": Optional = None"},{name:"seed",val:": Optional = None"},{name:"stop",val:": Union = None"},{name:"stream",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_p",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/chat_completion.py#L22"}}),Pt=new b({props:{name:"class huggingface_hub.ChatCompletionInputMessage",anchor:"huggingface_hub.ChatCompletionInputMessage",parameters:[{name:"content",val:": str"},{name:"role",val:": ChatCompletionMessageRole"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/chat_completion.py#L15"}}),Et=new b({props:{name:"class huggingface_hub.ChatCompletionOutput",anchor:"huggingface_hub.ChatCompletionOutput",parameters:[{name:"choices",val:": List"},{name:"created",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/chat_completion.py#L67"}}),Vt=new b({props:{name:"class huggingface_hub.ChatCompletionOutputChoice",anchor:"huggingface_hub.ChatCompletionOutputChoice",parameters:[{name:"finish_reason",val:": ChatCompletionFinishReason"},{name:"index",val:": int"},{name:"message",val:": ChatCompletionOutputChoiceMessage"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/chat_completion.py#L58"}}),St=new b({props:{name:"class huggingface_hub.ChatCompletionOutputChoiceMessage",anchor:"huggingface_hub.ChatCompletionOutputChoiceMessage",parameters:[{name:"content",val:": str"},{name:"role",val:": ChatCompletionMessageRole"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/chat_completion.py#L51"}}),zt=new b({props:{name:"class huggingface_hub.ChatCompletionStreamOutput",anchor:"huggingface_hub.ChatCompletionStreamOutput",parameters:[{name:"choices",val:": List"},{name:"created",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/chat_completion.py#L97"}}),jt=new b({props:{name:"class huggingface_hub.ChatCompletionStreamOutputChoice",anchor:"huggingface_hub.ChatCompletionStreamOutputChoice",parameters:[{name:"delta",val:": ChatCompletionStreamOutputDelta"},{name:"index",val:": int"},{name:"finish_reason",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/chat_completion.py#L87"}}),qt=new b({props:{name:"class huggingface_hub.ChatCompletionStreamOutputDelta",anchor:"huggingface_hub.ChatCompletionStreamOutputDelta",parameters:[{name:"content",val:": Optional = None"},{name:"role",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/chat_completion.py#L77"}}),Qt=new v({props:{title:"depth_estimation",local:"huggingface_hub.DepthEstimationInput",headingTag:"h2"}}),Zt=new b({props:{name:"class huggingface_hub.DepthEstimationInput",anchor:"huggingface_hub.DepthEstimationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/depth_estimation.py#L12"}}),Mt=new b({props:{name:"class huggingface_hub.DepthEstimationOutput",anchor:"huggingface_hub.DepthEstimationOutput",parameters:[{name:"depth",val:": Any"},{name:"predicted_depth",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/depth_estimation.py#L22"}}),Rt=new v({props:{title:"document_question_answering",local:"huggingface_hub.DocumentQuestionAnsweringInput",headingTag:"h2"}}),Bt=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringInput",anchor:"huggingface_hub.DocumentQuestionAnsweringInput",parameters:[{name:"inputs",val:": DocumentQuestionAnsweringInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L58"}}),Ft=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringInputData",anchor:"huggingface_hub.DocumentQuestionAnsweringInputData",parameters:[{name:"image",val:": Any"},{name:"question",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L12"}}),Ht=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringOutputElement",anchor:"huggingface_hub.DocumentQuestionAnsweringOutputElement",parameters:[{name:"answer",val:": str"},{name:"end",val:": int"},{name:"score",val:": float"},{name:"start",val:": int"},{name:"words",val:": List"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L68"}}),Ut=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringParameters",anchor:"huggingface_hub.DocumentQuestionAnsweringParameters",parameters:[{name:"doc_stride",val:": Optional = None"},{name:"handle_impossible_answer",val:": Optional = None"},{name:"lang",val:": Optional = None"},{name:"max_answer_len",val:": Optional = None"},{name:"max_question_len",val:": Optional = None"},{name:"max_seq_len",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"word_boxes",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L22"}}),Jt=new v({props:{title:"feature_extraction",local:"huggingface_hub.FeatureExtractionInput",headingTag:"h2"}}),Wt=new b({props:{name:"class huggingface_hub.FeatureExtractionInput",anchor:"huggingface_hub.FeatureExtractionInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/feature_extraction.py#L12"}}),Kt=new v({props:{title:"fill_mask",local:"huggingface_hub.FillMaskInput",headingTag:"h2"}}),Xt=new b({props:{name:"class huggingface_hub.FillMaskInput",anchor:"huggingface_hub.FillMaskInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/fill_mask.py#L28"}}),Yt=new b({props:{name:"class huggingface_hub.FillMaskOutputElement",anchor:"huggingface_hub.FillMaskOutputElement",parameters:[{name:"score",val:": float"},{name:"sequence",val:": str"},{name:"token",val:": int"},{name:"token_str",val:": Any"},{name:"fill_mask_output_token_str",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/fill_mask.py#L38"}}),en=new b({props:{name:"class huggingface_hub.FillMaskParameters",anchor:"huggingface_hub.FillMaskParameters",parameters:[{name:"targets",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/fill_mask.py#L12"}}),tn=new v({props:{title:"image_classification",local:"huggingface_hub.ImageClassificationInput",headingTag:"h2"}}),nn=new b({props:{name:"class huggingface_hub.ImageClassificationInput",anchor:"huggingface_hub.ImageClassificationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_classification.py#L26"}}),an=new b({props:{name:"class huggingface_hub.ImageClassificationOutputElement",anchor:"huggingface_hub.ImageClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_classification.py#L36"}}),rn=new b({props:{name:"class huggingface_hub.ImageClassificationParameters",anchor:"huggingface_hub.ImageClassificationParameters",parameters:[{name:"function_to_apply",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_classification.py#L15"}}),gn=new v({props:{title:"image_segmentation",local:"huggingface_hub.ImageSegmentationInput",headingTag:"h2"}}),sn=new b({props:{name:"class huggingface_hub.ImageSegmentationInput",anchor:"huggingface_hub.ImageSegmentationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_segmentation.py#L31"}}),on=new b({props:{name:"class huggingface_hub.ImageSegmentationOutputElement",anchor:"huggingface_hub.ImageSegmentationOutputElement",parameters:[{name:"label",val:": str"},{name:"mask",val:": Any"},{name:"score",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_segmentation.py#L41"}}),ln=new b({props:{name:"class huggingface_hub.ImageSegmentationParameters",anchor:"huggingface_hub.ImageSegmentationParameters",parameters:[{name:"mask_threshold",val:": Optional = None"},{name:"overlap_mask_area_threshold",val:": Optional = None"},{name:"subtask",val:": Optional = None"},{name:"threshold",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_segmentation.py#L15"}}),un=new v({props:{title:"image_to_image",local:"huggingface_hub.ImageToImageInput",headingTag:"h2"}}),mn=new b({props:{name:"class huggingface_hub.ImageToImageInput",anchor:"huggingface_hub.ImageToImageInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_to_image.py#L40"}}),cn=new b({props:{name:"class huggingface_hub.ImageToImageOutput",anchor:"huggingface_hub.ImageToImageOutput",parameters:[{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_to_image.py#L50"}}),pn=new b({props:{name:"class huggingface_hub.ImageToImageParameters",anchor:"huggingface_hub.ImageToImageParameters",parameters:[{name:"guidance_scale",val:": Optional = None"},{name:"negative_prompt",val:": Optional = None"},{name:"num_inference_steps",val:": Optional = None"},{name:"target_size",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_to_image.py#L20"}}),fn=new b({props:{name:"class huggingface_hub.ImageToImageTargetSize",anchor:"huggingface_hub.ImageToImageTargetSize",parameters:[{name:"height",val:": int"},{name:"width",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_to_image.py#L12"}}),hn=new v({props:{title:"image_to_text",local:"huggingface_hub.ImageToTextGenerationParameters",headingTag:"h2"}}),dn=new b({props:{name:"class huggingface_hub.ImageToTextGenerationParameters",anchor:"huggingface_hub.ImageToTextGenerationParameters",parameters:[{name:"do_sample",val:": Optional = None"},{name:"early_stopping",val:": Union = None"},{name:"epsilon_cutoff",val:": Optional = None"},{name:"eta_cutoff",val:": Optional = None"},{name:"max_length",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"},{name:"min_length",val:": Optional = None"},{name:"min_new_tokens",val:": Optional = None"},{name:"num_beam_groups",val:": Optional = None"},{name:"num_beams",val:": Optional = None"},{name:"penalty_alpha",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"top_p",val:": Optional = None"},{name:"typical_p",val:": Optional = None"},{name:"use_cache",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_to_text.py#L15"}}),bn=new b({props:{name:"class huggingface_hub.ImageToTextInput",anchor:"huggingface_hub.ImageToTextInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_to_text.py#L89"}}),_n=new b({props:{name:"class huggingface_hub.ImageToTextOutput",anchor:"huggingface_hub.ImageToTextOutput",parameters:[{name:"generated_text",val:": Any"},{name:"image_to_text_output_generated_text",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_to_text.py#L99"}}),vn=new b({props:{name:"class huggingface_hub.ImageToTextParameters",anchor:"huggingface_hub.ImageToTextParameters",parameters:[{name:"generate",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/image_to_text.py#L77"}}),$n=new v({props:{title:"object_detection",local:"huggingface_hub.ObjectDetectionBoundingBox",headingTag:"h2"}}),xn=new b({props:{name:"class huggingface_hub.ObjectDetectionBoundingBox",anchor:"huggingface_hub.ObjectDetectionBoundingBox",parameters:[{name:"xmax",val:": int"},{name:"xmin",val:": int"},{name:"ymax",val:": int"},{name:"ymin",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/object_detection.py#L32"}}),Cn=new b({props:{name:"class huggingface_hub.ObjectDetectionInput",anchor:"huggingface_hub.ObjectDetectionInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/object_detection.py#L22"}}),yn=new b({props:{name:"class huggingface_hub.ObjectDetectionOutputElement",anchor:"huggingface_hub.ObjectDetectionOutputElement",parameters:[{name:"box",val:": ObjectDetectionBoundingBox"},{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/object_detection.py#L44"}}),In=new b({props:{name:"class huggingface_hub.ObjectDetectionParameters",anchor:"huggingface_hub.ObjectDetectionParameters",parameters:[{name:"threshold",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/object_detection.py#L12"}}),On=new v({props:{title:"question_answering",local:"huggingface_hub.QuestionAnsweringInput",headingTag:"h2"}}),wn=new b({props:{name:"class huggingface_hub.QuestionAnsweringInput",anchor:"huggingface_hub.QuestionAnsweringInput",parameters:[{name:"inputs",val:": QuestionAnsweringInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/question_answering.py#L56"}}),Tn=new b({props:{name:"class huggingface_hub.QuestionAnsweringInputData",anchor:"huggingface_hub.QuestionAnsweringInputData",parameters:[{name:"context",val:": str"},{name:"question",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/question_answering.py#L12"}}),Dn=new b({props:{name:"class huggingface_hub.QuestionAnsweringOutputElement",anchor:"huggingface_hub.QuestionAnsweringOutputElement",parameters:[{name:"answer",val:": str"},{name:"end",val:": int"},{name:"score",val:": float"},{name:"start",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/question_answering.py#L66"}}),An=new b({props:{name:"class huggingface_hub.QuestionAnsweringParameters",anchor:"huggingface_hub.QuestionAnsweringParameters",parameters:[{name:"align_to_words",val:": Optional = None"},{name:"doc_stride",val:": Optional = None"},{name:"handle_impossible_answer",val:": Optional = None"},{name:"max_answer_len",val:": Optional = None"},{name:"max_question_len",val:": Optional = None"},{name:"max_seq_len",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/question_answering.py#L22"}}),Nn=new v({props:{title:"sentence_similarity",local:"huggingface_hub.SentenceSimilarityInput",headingTag:"h2"}}),Pn=new b({props:{name:"class huggingface_hub.SentenceSimilarityInput",anchor:"huggingface_hub.SentenceSimilarityInput",parameters:[{name:"inputs",val:": SentenceSimilarityInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/sentence_similarity.py#L22"}}),kn=new b({props:{name:"class huggingface_hub.SentenceSimilarityInputData",anchor:"huggingface_hub.SentenceSimilarityInputData",parameters:[{name:"sentences",val:": List"},{name:"source_sentence",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/sentence_similarity.py#L12"}}),Vn=new v({props:{title:"summarization",local:"huggingface_hub.SummarizationGenerationParameters",headingTag:"h2"}}),Ln=new b({props:{name:"class huggingface_hub.SummarizationGenerationParameters",anchor:"huggingface_hub.SummarizationGenerationParameters",parameters:[{name:"clean_up_tokenization_spaces",val:": Optional = None"},{name:"generate_parameters",val:": Optional = None"},{name:"truncation",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/summarization.py#L15"}}),Sn=new b({props:{name:"class huggingface_hub.SummarizationInput",anchor:"huggingface_hub.SummarizationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/summarization.py#L29"}}),zn=new b({props:{name:"class huggingface_hub.SummarizationOutput",anchor:"huggingface_hub.SummarizationOutput",parameters:[{name:"summary_text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/summarization.py#L41"}}),Gn=new v({props:{title:"table_question_answering",local:"huggingface_hub.TableQuestionAnsweringInput",headingTag:"h2"}}),jn=new b({props:{name:"class huggingface_hub.TableQuestionAnsweringInput",anchor:"huggingface_hub.TableQuestionAnsweringInput",parameters:[{name:"inputs",val:": TableQuestionAnsweringInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/table_question_answering.py#L22"}}),qn=new b({props:{name:"class huggingface_hub.TableQuestionAnsweringInputData",anchor:"huggingface_hub.TableQuestionAnsweringInputData",parameters:[{name:"question",val:": str"},{name:"table",val:": Dict"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/table_question_answering.py#L12"}}),Qn=new b({props:{name:"class huggingface_hub.TableQuestionAnsweringOutputElement",anchor:"huggingface_hub.TableQuestionAnsweringOutputElement",parameters:[{name:"answer",val:": str"},{name:"cells",val:": List"},{name:"coordinates",val:": List"},{name:"aggregator",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/table_question_answering.py#L32"}}),Zn=new v({props:{title:"text2text_generation",local:"huggingface_hub.Text2TextGenerationInput",headingTag:"h2"}}),Mn=new b({props:{name:"class huggingface_hub.Text2TextGenerationInput",anchor:"huggingface_hub.Text2TextGenerationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text2text_generation.py#L29"}}),Rn=new b({props:{name:"class huggingface_hub.Text2TextGenerationOutput",anchor:"huggingface_hub.Text2TextGenerationOutput",parameters:[{name:"generated_text",val:": Any"},{name:"text2_text_generation_output_generated_text",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text2text_generation.py#L39"}}),Bn=new b({props:{name:"class huggingface_hub.Text2TextGenerationParameters",anchor:"huggingface_hub.Text2TextGenerationParameters",parameters:[{name:"clean_up_tokenization_spaces",val:": Optional = None"},{name:"generate_parameters",val:": Optional = None"},{name:"truncation",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text2text_generation.py#L15"}}),Fn=new v({props:{title:"text_classification",local:"huggingface_hub.TextClassificationInput",headingTag:"h2"}}),Hn=new b({props:{name:"class huggingface_hub.TextClassificationInput",anchor:"huggingface_hub.TextClassificationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_classification.py#L26"}}),Un=new b({props:{name:"class huggingface_hub.TextClassificationOutputElement",anchor:"huggingface_hub.TextClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_classification.py#L36"}}),Jn=new b({props:{name:"class huggingface_hub.TextClassificationParameters",anchor:"huggingface_hub.TextClassificationParameters",parameters:[{name:"function_to_apply",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_classification.py#L15"}}),Wn=new v({props:{title:"text_generation",local:"huggingface_hub.TextGenerationInput",headingTag:"h2"}}),Kn=new b({props:{name:"class huggingface_hub.TextGenerationInput",anchor:"huggingface_hub.TextGenerationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"},{name:"stream",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_generation.py#L58"}}),Xn=new b({props:{name:"class huggingface_hub.TextGenerationOutput",anchor:"huggingface_hub.TextGenerationOutput",parameters:[{name:"generated_text",val:": str"},{name:"details",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_generation.py#L128"}}),Yn=new b({props:{name:"class huggingface_hub.TextGenerationOutputDetails",anchor:"huggingface_hub.TextGenerationOutputDetails",parameters:[{name:"finish_reason",val:": TextGenerationFinishReason"},{name:"generated_tokens",val:": int"},{name:"prefill",val:": List"},{name:"tokens",val:": List"},{name:"best_of_sequences",val:": Optional = None"},{name:"seed",val:": Optional = None"},{name:"top_tokens",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_generation.py#L109"}}),ta=new b({props:{name:"class huggingface_hub.TextGenerationOutputSequenceDetails",anchor:"huggingface_hub.TextGenerationOutputSequenceDetails",parameters:[{name:"finish_reason",val:": TextGenerationFinishReason"},{name:"generated_text",val:": str"},{name:"generated_tokens",val:": int"},{name:"prefill",val:": List"},{name:"tokens",val:": List"},{name:"seed",val:": Optional = None"},{name:"top_tokens",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_generation.py#L93"}}),na=new b({props:{name:"class huggingface_hub.TextGenerationOutputToken",anchor:"huggingface_hub.TextGenerationOutputToken",parameters:[{name:"id",val:": int"},{name:"special",val:": bool"},{name:"text",val:": str"},{name:"logprob",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_generation.py#L81"}}),aa=new b({props:{name:"class huggingface_hub.TextGenerationParameters",anchor:"huggingface_hub.TextGenerationParameters",parameters:[{name:"best_of",val:": Optional = None"},{name:"decoder_input_details",val:": Optional = None"},{name:"details",val:": Optional = None"},{name:"do_sample",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"},{name:"repetition_penalty",val:": Optional = None"},{name:"return_full_text",val:": Optional = None"},{name:"seed",val:": Optional = None"},{name:"stop_sequences",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"top_p",val:": Optional = None"},{name:"truncate",val:": Optional = None"},{name:"typical_p",val:": Optional = None"},{name:"watermark",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_generation.py#L12"}}),ia=new b({props:{name:"class huggingface_hub.TextGenerationPrefillToken",anchor:"huggingface_hub.TextGenerationPrefillToken",parameters:[{name:"id",val:": int"},{name:"logprob",val:": float"},{name:"text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_generation.py#L73"}}),ga=new b({props:{name:"class huggingface_hub.TextGenerationStreamDetails",anchor:"huggingface_hub.TextGenerationStreamDetails",parameters:[{name:"finish_reason",val:": TextGenerationFinishReason"},{name:"generated_tokens",val:": int"},{name:"seed",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_generation.py#L138"}}),sa=new b({props:{name:"class huggingface_hub.TextGenerationStreamOutput",anchor:"huggingface_hub.TextGenerationStreamOutput",parameters:[{name:"token",val:": TextGenerationOutputToken"},{name:"details",val:": Optional = None"},{name:"generated_text",val:": Optional = None"},{name:"index",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_generation.py#L150"}}),oa=new v({props:{title:"text_to_audio",local:"huggingface_hub.TextToAudioGenerationParameters",headingTag:"h2"}}),la=new b({props:{name:"class huggingface_hub.TextToAudioGenerationParameters",anchor:"huggingface_hub.TextToAudioGenerationParameters",parameters:[{name:"do_sample",val:": Optional = None"},{name:"early_stopping",val:": Union = None"},{name:"epsilon_cutoff",val:": Optional = None"},{name:"eta_cutoff",val:": Optional = None"},{name:"max_length",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"},{name:"min_length",val:": Optional = None"},{name:"min_new_tokens",val:": Optional = None"},{name:"num_beam_groups",val:": Optional = None"},{name:"num_beams",val:": Optional = None"},{name:"penalty_alpha",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"top_p",val:": Optional = None"},{name:"typical_p",val:": Optional = None"},{name:"use_cache",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L15"}}),ua=new b({props:{name:"class huggingface_hub.TextToAudioInput",anchor:"huggingface_hub.TextToAudioInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L87"}}),ma=new b({props:{name:"class huggingface_hub.TextToAudioOutput",anchor:"huggingface_hub.TextToAudioOutput",parameters:[{name:"audio",val:": Any"},{name:"sampling_rate",val:": Any"},{name:"text_to_audio_output_sampling_rate",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L97"}}),ca=new b({props:{name:"class huggingface_hub.TextToAudioParameters",anchor:"huggingface_hub.TextToAudioParameters",parameters:[{name:"generate",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L77"}}),pa=new v({props:{title:"text_to_image",local:"huggingface_hub.TextToImageInput",headingTag:"h2"}}),fa=new b({props:{name:"class huggingface_hub.TextToImageInput",anchor:"huggingface_hub.TextToImageInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_to_image.py#L42"}}),ha=new b({props:{name:"class huggingface_hub.TextToImageOutput",anchor:"huggingface_hub.TextToImageOutput",parameters:[{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_to_image.py#L52"}}),da=new b({props:{name:"class huggingface_hub.TextToImageParameters",anchor:"huggingface_hub.TextToImageParameters",parameters:[{name:"guidance_scale",val:": Optional = None"},{name:"negative_prompt",val:": Optional = None"},{name:"num_inference_steps",val:": Optional = None"},{name:"scheduler",val:": Optional = None"},{name:"target_size",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_to_image.py#L20"}}),ba=new b({props:{name:"class huggingface_hub.TextToImageTargetSize",anchor:"huggingface_hub.TextToImageTargetSize",parameters:[{name:"height",val:": int"},{name:"width",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/text_to_image.py#L12"}}),_a=new v({props:{title:"token_classification",local:"huggingface_hub.TokenClassificationInput",headingTag:"h2"}}),va=new b({props:{name:"class huggingface_hub.TokenClassificationInput",anchor:"huggingface_hub.TokenClassificationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/token_classification.py#L29"}}),$a=new b({props:{name:"class huggingface_hub.TokenClassificationOutputElement",anchor:"huggingface_hub.TokenClassificationOutputElement",parameters:[{name:"label",val:": Any"},{name:"score",val:": float"},{name:"end",val:": Optional = None"},{name:"entity_group",val:": Optional = None"},{name:"start",val:": Optional = None"},{name:"word",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/token_classification.py#L39"}}),xa=new b({props:{name:"class huggingface_hub.TokenClassificationParameters",anchor:"huggingface_hub.TokenClassificationParameters",parameters:[{name:"aggregation_strategy",val:": Optional = None"},{name:"ignore_labels",val:": Optional = None"},{name:"stride",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/token_classification.py#L15"}}),Ca=new v({props:{title:"translation",local:"huggingface_hub.TranslationGenerationParameters",headingTag:"h2"}}),ya=new b({props:{name:"class huggingface_hub.TranslationGenerationParameters",anchor:"huggingface_hub.TranslationGenerationParameters",parameters:[{name:"clean_up_tokenization_spaces",val:": Optional = None"},{name:"generate_parameters",val:": Optional = None"},{name:"truncation",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/translation.py#L15"}}),Ia=new b({props:{name:"class huggingface_hub.TranslationInput",anchor:"huggingface_hub.TranslationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/translation.py#L29"}}),Oa=new b({props:{name:"class huggingface_hub.TranslationOutput",anchor:"huggingface_hub.TranslationOutput",parameters:[{name:"translation_text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/translation.py#L41"}}),wa=new v({props:{title:"video_classification",local:"huggingface_hub.VideoClassificationInput",headingTag:"h2"}}),Ta=new b({props:{name:"class huggingface_hub.VideoClassificationInput",anchor:"huggingface_hub.VideoClassificationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/video_classification.py#L30"}}),Da=new b({props:{name:"class huggingface_hub.VideoClassificationOutputElement",anchor:"huggingface_hub.VideoClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/video_classification.py#L40"}}),Aa=new b({props:{name:"class huggingface_hub.VideoClassificationParameters",anchor:"huggingface_hub.VideoClassificationParameters",parameters:[{name:"frame_sampling_rate",val:": Optional = None"},{name:"function_to_apply",val:": Optional = None"},{name:"num_frames",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/video_classification.py#L15"}}),Na=new v({props:{title:"visual_question_answering",local:"huggingface_hub.VisualQuestionAnsweringInput",headingTag:"h2"}}),Pa=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringInput",anchor:"huggingface_hub.VisualQuestionAnsweringInput",parameters:[{name:"inputs",val:": VisualQuestionAnsweringInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L35"}}),Ea=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringInputData",anchor:"huggingface_hub.VisualQuestionAnsweringInputData",parameters:[{name:"image",val:": Any"},{name:"question",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L12"}}),ka=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringOutputElement",anchor:"huggingface_hub.VisualQuestionAnsweringOutputElement",parameters:[{name:"label",val:": Any"},{name:"score",val:": float"},{name:"answer",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L45"}}),Va=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringParameters",anchor:"huggingface_hub.VisualQuestionAnsweringParameters",parameters:[{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L22"}}),La=new v({props:{title:"zero_shot_classification",local:"huggingface_hub.ZeroShotClassificationInput",headingTag:"h2"}}),Sa=new b({props:{name:"class huggingface_hub.ZeroShotClassificationInput",anchor:"huggingface_hub.ZeroShotClassificationInput",parameters:[{name:"inputs",val:": ZeroShotClassificationInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L39"}}),za=new b({props:{name:"class huggingface_hub.ZeroShotClassificationInputData",anchor:"huggingface_hub.ZeroShotClassificationInputData",parameters:[{name:"candidate_labels",val:": List"},{name:"text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L12"}}),Ga=new b({props:{name:"class huggingface_hub.ZeroShotClassificationOutputElement",anchor:"huggingface_hub.ZeroShotClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L49"}}),ja=new b({props:{name:"class huggingface_hub.ZeroShotClassificationParameters",anchor:"huggingface_hub.ZeroShotClassificationParameters",parameters:[{name:"hypothesis_template",val:": Optional = None"},{name:"multi_label",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L22"}}),qa=new v({props:{title:"zero_shot_image_classification",local:"huggingface_hub.ZeroShotImageClassificationInput",headingTag:"h2"}}),Qa=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationInput",anchor:"huggingface_hub.ZeroShotImageClassificationInput",parameters:[{name:"inputs",val:": ZeroShotImageClassificationInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L34"}}),Za=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationInputData",anchor:"huggingface_hub.ZeroShotImageClassificationInputData",parameters:[{name:"candidate_labels",val:": List"},{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L12"}}),Ma=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationOutputElement",anchor:"huggingface_hub.ZeroShotImageClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L44"}}),Ra=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationParameters",anchor:"huggingface_hub.ZeroShotImageClassificationParameters",parameters:[{name:"hypothesis_template",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L22"}}),Ba=new v({props:{title:"zero_shot_object_detection",local:"huggingface_hub.ZeroShotObjectDetectionBoundingBox",headingTag:"h2"}}),Fa=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionBoundingBox",anchor:"huggingface_hub.ZeroShotObjectDetectionBoundingBox",parameters:[{name:"xmax",val:": int"},{name:"xmin",val:": int"},{name:"ymax",val:": int"},{name:"ymin",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L32"}}),Ha=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionInput",anchor:"huggingface_hub.ZeroShotObjectDetectionInput",parameters:[{name:"inputs",val:": ZeroShotObjectDetectionInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L22"}}),Ua=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionInputData",anchor:"huggingface_hub.ZeroShotObjectDetectionInputData",parameters:[{name:"candidate_labels",val:": List"},{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L12"}}),Ja=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionOutputElement",anchor:"huggingface_hub.ZeroShotObjectDetectionOutputElement",parameters:[{name:"box",val:": ZeroShotObjectDetectionBoundingBox"},{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.0.rc0/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L44"}}),{c(){$=g("meta"),Zi=r(),qi=g("p"),Mi=r(),l(mt.$$.fragment),Ri=r(),ct=g("p"),ct.innerHTML=ac,Bi=r(),pt=g("p"),pt.textContent=rc,Fi=r(),l(ft.$$.fragment),Hi=r(),x=g("div"),l(ht.$$.fragment),cu=r(),Wa=g("p"),Wa.textContent=ic,Ui=r(),C=g("div"),l(dt.$$.fragment),pu=r(),Ka=g("p"),Ka.textContent=gc,Ji=r(),y=g("div"),l(bt.$$.fragment),fu=r(),Xa=g("p"),Xa.textContent=sc,Wi=r(),l(_t.$$.fragment),Ki=r(),I=g("div"),l(vt.$$.fragment),hu=r(),Ya=g("p"),Ya.textContent=oc,Xi=r(),O=g("div"),l($t.$$.fragment),du=r(),er=g("p"),er.textContent=lc,Yi=r(),l(xt.$$.fragment),eg=r(),w=g("div"),l(Ct.$$.fragment),bu=r(),tr=g("p"),tr.textContent=uc,tg=r(),T=g("div"),l(yt.$$.fragment),_u=r(),nr=g("p"),nr.textContent=mc,ng=r(),D=g("div"),l(It.$$.fragment),vu=r(),ar=g("p"),ar.textContent=cc,ag=r(),Ot=g("div"),l(wt.$$.fragment),rg=r(),A=g("div"),l(Tt.$$.fragment),$u=r(),rr=g("p"),rr.textContent=pc,ig=r(),l(Dt.$$.fragment),gg=r(),N=g("div"),l(At.$$.fragment),xu=r(),ir=g("p"),ir.textContent=fc,sg=r(),Nt=g("div"),l(Pt.$$.fragment),og=r(),P=g("div"),l(Et.$$.fragment),Cu=r(),gr=g("p"),gr.textContent=hc,lg=r(),kt=g("div"),l(Vt.$$.fragment),ug=r(),Lt=g("div"),l(St.$$.fragment),mg=r(),E=g("div"),l(zt.$$.fragment),yu=r(),sr=g("p"),sr.textContent=dc,cg=r(),Gt=g("div"),l(jt.$$.fragment),pg=r(),k=g("div"),l(qt.$$.fragment),Iu=r(),or=g("p"),or.textContent=bc,fg=r(),l(Qt.$$.fragment),hg=r(),V=g("div"),l(Zt.$$.fragment),Ou=r(),lr=g("p"),lr.textContent=_c,dg=r(),L=g("div"),l(Mt.$$.fragment),wu=r(),ur=g("p"),ur.textContent=vc,bg=r(),l(Rt.$$.fragment),_g=r(),S=g("div"),l(Bt.$$.fragment),Tu=r(),mr=g("p"),mr.textContent=$c,vg=r(),z=g("div"),l(Ft.$$.fragment),Du=r(),cr=g("p"),cr.textContent=xc,$g=r(),G=g("div"),l(Ht.$$.fragment),Au=r(),pr=g("p"),pr.textContent=Cc,xg=r(),j=g("div"),l(Ut.$$.fragment),Nu=r(),fr=g("p"),fr.textContent=yc,Cg=r(),l(Jt.$$.fragment),yg=r(),q=g("div"),l(Wt.$$.fragment),Pu=r(),hr=g("p"),hr.textContent=Ic,Ig=r(),l(Kt.$$.fragment),Og=r(),Q=g("div"),l(Xt.$$.fragment),Eu=r(),dr=g("p"),dr.textContent=Oc,wg=r(),Z=g("div"),l(Yt.$$.fragment),ku=r(),br=g("p"),br.textContent=wc,Tg=r(),M=g("div"),l(en.$$.fragment),Vu=r(),_r=g("p"),_r.textContent=Tc,Dg=r(),l(tn.$$.fragment),Ag=r(),R=g("div"),l(nn.$$.fragment),Lu=r(),vr=g("p"),vr.textContent=Dc,Ng=r(),B=g("div"),l(an.$$.fragment),Su=r(),$r=g("p"),$r.textContent=Ac,Pg=r(),F=g("div"),l(rn.$$.fragment),zu=r(),xr=g("p"),xr.textContent=Nc,Eg=r(),l(gn.$$.fragment),kg=r(),H=g("div"),l(sn.$$.fragment),Gu=r(),Cr=g("p"),Cr.textContent=Pc,Vg=r(),U=g("div"),l(on.$$.fragment),ju=r(),yr=g("p"),yr.textContent=Ec,Lg=r(),J=g("div"),l(ln.$$.fragment),qu=r(),Ir=g("p"),Ir.textContent=kc,Sg=r(),l(un.$$.fragment),zg=r(),W=g("div"),l(mn.$$.fragment),Qu=r(),Or=g("p"),Or.textContent=Vc,Gg=r(),K=g("div"),l(cn.$$.fragment),Zu=r(),wr=g("p"),wr.textContent=Lc,jg=r(),X=g("div"),l(pn.$$.fragment),Mu=r(),Tr=g("p"),Tr.textContent=Sc,qg=r(),Y=g("div"),l(fn.$$.fragment),Ru=r(),Dr=g("p"),Dr.textContent=zc,Qg=r(),l(hn.$$.fragment),Zg=r(),ee=g("div"),l(dn.$$.fragment),Bu=r(),Ar=g("p"),Ar.textContent=Gc,Mg=r(),te=g("div"),l(bn.$$.fragment),Fu=r(),Nr=g("p"),Nr.textContent=jc,Rg=r(),ne=g("div"),l(_n.$$.fragment),Hu=r(),Pr=g("p"),Pr.textContent=qc,Bg=r(),ae=g("div"),l(vn.$$.fragment),Uu=r(),Er=g("p"),Er.textContent=Qc,Fg=r(),l($n.$$.fragment),Hg=r(),re=g("div"),l(xn.$$.fragment),Ju=r(),kr=g("p"),kr.textContent=Zc,Ug=r(),ie=g("div"),l(Cn.$$.fragment),Wu=r(),Vr=g("p"),Vr.textContent=Mc,Jg=r(),ge=g("div"),l(yn.$$.fragment),Ku=r(),Lr=g("p"),Lr.textContent=Rc,Wg=r(),se=g("div"),l(In.$$.fragment),Xu=r(),Sr=g("p"),Sr.textContent=Bc,Kg=r(),l(On.$$.fragment),Xg=r(),oe=g("div"),l(wn.$$.fragment),Yu=r(),zr=g("p"),zr.textContent=Fc,Yg=r(),le=g("div"),l(Tn.$$.fragment),em=r(),Gr=g("p"),Gr.textContent=Hc,es=r(),ue=g("div"),l(Dn.$$.fragment),tm=r(),jr=g("p"),jr.textContent=Uc,ts=r(),me=g("div"),l(An.$$.fragment),nm=r(),qr=g("p"),qr.textContent=Jc,ns=r(),l(Nn.$$.fragment),as=r(),ce=g("div"),l(Pn.$$.fragment),am=r(),Qr=g("p"),Qr.textContent=Wc,rs=r(),En=g("div"),l(kn.$$.fragment),is=r(),l(Vn.$$.fragment),gs=r(),pe=g("div"),l(Ln.$$.fragment),rm=r(),Zr=g("p"),Zr.textContent=Kc,ss=r(),fe=g("div"),l(Sn.$$.fragment),im=r(),Mr=g("p"),Mr.textContent=Xc,os=r(),he=g("div"),l(zn.$$.fragment),gm=r(),Rr=g("p"),Rr.textContent=Yc,ls=r(),l(Gn.$$.fragment),us=r(),de=g("div"),l(jn.$$.fragment),sm=r(),Br=g("p"),Br.textContent=ep,ms=r(),be=g("div"),l(qn.$$.fragment),om=r(),Fr=g("p"),Fr.textContent=tp,cs=r(),_e=g("div"),l(Qn.$$.fragment),lm=r(),Hr=g("p"),Hr.textContent=np,ps=r(),l(Zn.$$.fragment),fs=r(),ve=g("div"),l(Mn.$$.fragment),um=r(),Ur=g("p"),Ur.textContent=ap,hs=r(),$e=g("div"),l(Rn.$$.fragment),mm=r(),Jr=g("p"),Jr.textContent=rp,ds=r(),xe=g("div"),l(Bn.$$.fragment),cm=r(),Wr=g("p"),Wr.textContent=ip,bs=r(),l(Fn.$$.fragment),_s=r(),Ce=g("div"),l(Hn.$$.fragment),pm=r(),Kr=g("p"),Kr.textContent=gp,vs=r(),ye=g("div"),l(Un.$$.fragment),fm=r(),Xr=g("p"),Xr.textContent=sp,$s=r(),Ie=g("div"),l(Jn.$$.fragment),hm=r(),Yr=g("p"),Yr.textContent=op,xs=r(),l(Wn.$$.fragment),Cs=r(),Oe=g("div"),l(Kn.$$.fragment),dm=r(),ei=g("p"),ei.textContent=lp,ys=r(),we=g("div"),l(Xn.$$.fragment),bm=r(),ti=g("p"),ti.textContent=up,Is=r(),Te=g("div"),l(Yn.$$.fragment),_m=r(),ni=g("p"),ni.textContent=mp,Os=r(),ea=g("div"),l(ta.$$.fragment),ws=r(),De=g("div"),l(na.$$.fragment),vm=r(),ai=g("p"),ai.textContent=cp,Ts=r(),Ae=g("div"),l(aa.$$.fragment),$m=r(),ri=g("p"),ri.textContent=pp,Ds=r(),ra=g("div"),l(ia.$$.fragment),As=r(),Ne=g("div"),l(ga.$$.fragment),xm=r(),ii=g("p"),ii.textContent=fp,Ns=r(),Pe=g("div"),l(sa.$$.fragment),Cm=r(),gi=g("p"),gi.textContent=hp,Ps=r(),l(oa.$$.fragment),Es=r(),Ee=g("div"),l(la.$$.fragment),ym=r(),si=g("p"),si.textContent=dp,ks=r(),ke=g("div"),l(ua.$$.fragment),Im=r(),oi=g("p"),oi.textContent=bp,Vs=r(),Ve=g("div"),l(ma.$$.fragment),Om=r(),li=g("p"),li.textContent=_p,Ls=r(),Le=g("div"),l(ca.$$.fragment),wm=r(),ui=g("p"),ui.textContent=vp,Ss=r(),l(pa.$$.fragment),zs=r(),Se=g("div"),l(fa.$$.fragment),Tm=r(),mi=g("p"),mi.textContent=$p,Gs=r(),ze=g("div"),l(ha.$$.fragment),Dm=r(),ci=g("p"),ci.textContent=xp,js=r(),Ge=g("div"),l(da.$$.fragment),Am=r(),pi=g("p"),pi.textContent=Cp,qs=r(),je=g("div"),l(ba.$$.fragment),Nm=r(),fi=g("p"),fi.textContent=yp,Qs=r(),l(_a.$$.fragment),Zs=r(),qe=g("div"),l(va.$$.fragment),Pm=r(),hi=g("p"),hi.textContent=Ip,Ms=r(),Qe=g("div"),l($a.$$.fragment),Em=r(),di=g("p"),di.textContent=Op,Rs=r(),Ze=g("div"),l(xa.$$.fragment),km=r(),bi=g("p"),bi.textContent=wp,Bs=r(),l(Ca.$$.fragment),Fs=r(),Me=g("div"),l(ya.$$.fragment),Vm=r(),_i=g("p"),_i.textContent=Tp,Hs=r(),Re=g("div"),l(Ia.$$.fragment),Lm=r(),vi=g("p"),vi.textContent=Dp,Us=r(),Be=g("div"),l(Oa.$$.fragment),Sm=r(),$i=g("p"),$i.textContent=Ap,Js=r(),l(wa.$$.fragment),Ws=r(),Fe=g("div"),l(Ta.$$.fragment),zm=r(),xi=g("p"),xi.textContent=Np,Ks=r(),He=g("div"),l(Da.$$.fragment),Gm=r(),Ci=g("p"),Ci.textContent=Pp,Xs=r(),Ue=g("div"),l(Aa.$$.fragment),jm=r(),yi=g("p"),yi.textContent=Ep,Ys=r(),l(Na.$$.fragment),eo=r(),Je=g("div"),l(Pa.$$.fragment),qm=r(),Ii=g("p"),Ii.textContent=kp,to=r(),We=g("div"),l(Ea.$$.fragment),Qm=r(),Oi=g("p"),Oi.textContent=Vp,no=r(),Ke=g("div"),l(ka.$$.fragment),Zm=r(),wi=g("p"),wi.textContent=Lp,ao=r(),Xe=g("div"),l(Va.$$.fragment),Mm=r(),Ti=g("p"),Ti.textContent=Sp,ro=r(),l(La.$$.fragment),io=r(),Ye=g("div"),l(Sa.$$.fragment),Rm=r(),Di=g("p"),Di.textContent=zp,go=r(),et=g("div"),l(za.$$.fragment),Bm=r(),Ai=g("p"),Ai.textContent=Gp,so=r(),tt=g("div"),l(Ga.$$.fragment),Fm=r(),Ni=g("p"),Ni.textContent=jp,oo=r(),nt=g("div"),l(ja.$$.fragment),Hm=r(),Pi=g("p"),Pi.textContent=qp,lo=r(),l(qa.$$.fragment),uo=r(),at=g("div"),l(Qa.$$.fragment),Um=r(),Ei=g("p"),Ei.textContent=Qp,mo=r(),rt=g("div"),l(Za.$$.fragment),Jm=r(),ki=g("p"),ki.textContent=Zp,co=r(),it=g("div"),l(Ma.$$.fragment),Wm=r(),Vi=g("p"),Vi.textContent=Mp,po=r(),gt=g("div"),l(Ra.$$.fragment),Km=r(),Li=g("p"),Li.textContent=Rp,fo=r(),l(Ba.$$.fragment),ho=r(),st=g("div"),l(Fa.$$.fragment),Xm=r(),Si=g("p"),Si.textContent=Bp,bo=r(),ot=g("div"),l(Ha.$$.fragment),Ym=r(),zi=g("p"),zi.textContent=Fp,_o=r(),lt=g("div"),l(Ua.$$.fragment),ec=r(),Gi=g("p"),Gi.textContent=Hp,vo=r(),ut=g("div"),l(Ja.$$.fragment),tc=r(),ji=g("p"),ji.textContent=Up,$o=r(),Qi=g("p"),this.h()},l(e){const n=lf("svelte-u9bgzb",document.head);$=s(n,"META",{name:!0,content:!0}),n.forEach(t),Zi=i(e),qi=s(e,"P",{}),h(qi).forEach(t),Mi=i(e),u(mt.$$.fragment,e),Ri=i(e),ct=s(e,"P",{"data-svelte-h":!0}),_(ct)!=="svelte-r4x4e"&&(ct.innerHTML=ac),Bi=i(e),pt=s(e,"P",{"data-svelte-h":!0}),_(pt)!=="svelte-gyywd9"&&(pt.textContent=rc),Fi=i(e),u(ft.$$.fragment,e),Hi=i(e),x=s(e,"DIV",{class:!0});var Co=h(x);u(ht.$$.fragment,Co),cu=i(Co),Wa=s(Co,"P",{"data-svelte-h":!0}),_(Wa)!=="svelte-1tm0kun"&&(Wa.textContent=ic),Co.forEach(t),Ui=i(e),C=s(e,"DIV",{class:!0});var yo=h(C);u(dt.$$.fragment,yo),pu=i(yo),Ka=s(yo,"P",{"data-svelte-h":!0}),_(Ka)!=="svelte-11s5lc2"&&(Ka.textContent=gc),yo.forEach(t),Ji=i(e),y=s(e,"DIV",{class:!0});var Io=h(y);u(bt.$$.fragment,Io),fu=i(Io),Xa=s(Io,"P",{"data-svelte-h":!0}),_(Xa)!=="svelte-mp4myj"&&(Xa.textContent=sc),Io.forEach(t),Wi=i(e),u(_t.$$.fragment,e),Ki=i(e),I=s(e,"DIV",{class:!0});var Oo=h(I);u(vt.$$.fragment,Oo),hu=i(Oo),Ya=s(Oo,"P",{"data-svelte-h":!0}),_(Ya)!=="svelte-1k3oi3o"&&(Ya.textContent=oc),Oo.forEach(t),Xi=i(e),O=s(e,"DIV",{class:!0});var wo=h(O);u($t.$$.fragment,wo),du=i(wo),er=s(wo,"P",{"data-svelte-h":!0}),_(er)!=="svelte-1d3vk90"&&(er.textContent=lc),wo.forEach(t),Yi=i(e),u(xt.$$.fragment,e),eg=i(e),w=s(e,"DIV",{class:!0});var To=h(w);u(Ct.$$.fragment,To),bu=i(To),tr=s(To,"P",{"data-svelte-h":!0}),_(tr)!=="svelte-a7ph4"&&(tr.textContent=uc),To.forEach(t),tg=i(e),T=s(e,"DIV",{class:!0});var Do=h(T);u(yt.$$.fragment,Do),_u=i(Do),nr=s(Do,"P",{"data-svelte-h":!0}),_(nr)!=="svelte-1dxxfth"&&(nr.textContent=mc),Do.forEach(t),ng=i(e),D=s(e,"DIV",{class:!0});var Ao=h(D);u(It.$$.fragment,Ao),vu=i(Ao),ar=s(Ao,"P",{"data-svelte-h":!0}),_(ar)!=="svelte-5n6yyz"&&(ar.textContent=cc),Ao.forEach(t),ag=i(e),Ot=s(e,"DIV",{class:!0});var Jp=h(Ot);u(wt.$$.fragment,Jp),Jp.forEach(t),rg=i(e),A=s(e,"DIV",{class:!0});var No=h(A);u(Tt.$$.fragment,No),$u=i(No),rr=s(No,"P",{"data-svelte-h":!0}),_(rr)!=="svelte-38lu6p"&&(rr.textContent=pc),No.forEach(t),ig=i(e),u(Dt.$$.fragment,e),gg=i(e),N=s(e,"DIV",{class:!0});var Po=h(N);u(At.$$.fragment,Po),xu=i(Po),ir=s(Po,"P",{"data-svelte-h":!0}),_(ir)!=="svelte-88i2dx"&&(ir.textContent=fc),Po.forEach(t),sg=i(e),Nt=s(e,"DIV",{class:!0});var Wp=h(Nt);u(Pt.$$.fragment,Wp),Wp.forEach(t),og=i(e),P=s(e,"DIV",{class:!0});var Eo=h(P);u(Et.$$.fragment,Eo),Cu=i(Eo),gr=s(Eo,"P",{"data-svelte-h":!0}),_(gr)!=="svelte-1an6wm"&&(gr.textContent=hc),Eo.forEach(t),lg=i(e),kt=s(e,"DIV",{class:!0});var Kp=h(kt);u(Vt.$$.fragment,Kp),Kp.forEach(t),ug=i(e),Lt=s(e,"DIV",{class:!0});var Xp=h(Lt);u(St.$$.fragment,Xp),Xp.forEach(t),mg=i(e),E=s(e,"DIV",{class:!0});var ko=h(E);u(zt.$$.fragment,ko),yu=i(ko),sr=s(ko,"P",{"data-svelte-h":!0}),_(sr)!=="svelte-nyvcvt"&&(sr.textContent=dc),ko.forEach(t),cg=i(e),Gt=s(e,"DIV",{class:!0});var Yp=h(Gt);u(jt.$$.fragment,Yp),Yp.forEach(t),pg=i(e),k=s(e,"DIV",{class:!0});var Vo=h(k);u(qt.$$.fragment,Vo),Iu=i(Vo),or=s(Vo,"P",{"data-svelte-h":!0}),_(or)!=="svelte-1dx2bnl"&&(or.textContent=bc),Vo.forEach(t),fg=i(e),u(Qt.$$.fragment,e),hg=i(e),V=s(e,"DIV",{class:!0});var Lo=h(V);u(Zt.$$.fragment,Lo),Ou=i(Lo),lr=s(Lo,"P",{"data-svelte-h":!0}),_(lr)!=="svelte-nthb65"&&(lr.textContent=_c),Lo.forEach(t),dg=i(e),L=s(e,"DIV",{class:!0});var So=h(L);u(Mt.$$.fragment,So),wu=i(So),ur=s(So,"P",{"data-svelte-h":!0}),_(ur)!=="svelte-1d2plmj"&&(ur.textContent=vc),So.forEach(t),bg=i(e),u(Rt.$$.fragment,e),_g=i(e),S=s(e,"DIV",{class:!0});var zo=h(S);u(Bt.$$.fragment,zo),Tu=i(zo),mr=s(zo,"P",{"data-svelte-h":!0}),_(mr)!=="svelte-1ki0ku4"&&(mr.textContent=$c),zo.forEach(t),vg=i(e),z=s(e,"DIV",{class:!0});var Go=h(z);u(Ft.$$.fragment,Go),Du=i(Go),cr=s(Go,"P",{"data-svelte-h":!0}),_(cr)!=="svelte-1gj4qxd"&&(cr.textContent=xc),Go.forEach(t),$g=i(e),G=s(e,"DIV",{class:!0});var jo=h(G);u(Ht.$$.fragment,jo),Au=i(jo),pr=s(jo,"P",{"data-svelte-h":!0}),_(pr)!=="svelte-1w9i38u"&&(pr.textContent=Cc),jo.forEach(t),xg=i(e),j=s(e,"DIV",{class:!0});var qo=h(j);u(Ut.$$.fragment,qo),Nu=i(qo),fr=s(qo,"P",{"data-svelte-h":!0}),_(fr)!=="svelte-1rvppek"&&(fr.textContent=yc),qo.forEach(t),Cg=i(e),u(Jt.$$.fragment,e),yg=i(e),q=s(e,"DIV",{class:!0});var Qo=h(q);u(Wt.$$.fragment,Qo),Pu=i(Qo),hr=s(Qo,"P",{"data-svelte-h":!0}),_(hr)!=="svelte-eyg83n"&&(hr.textContent=Ic),Qo.forEach(t),Ig=i(e),u(Kt.$$.fragment,e),Og=i(e),Q=s(e,"DIV",{class:!0});var Zo=h(Q);u(Xt.$$.fragment,Zo),Eu=i(Zo),dr=s(Zo,"P",{"data-svelte-h":!0}),_(dr)!=="svelte-ycm97q"&&(dr.textContent=Oc),Zo.forEach(t),wg=i(e),Z=s(e,"DIV",{class:!0});var Mo=h(Z);u(Yt.$$.fragment,Mo),ku=i(Mo),br=s(Mo,"P",{"data-svelte-h":!0}),_(br)!=="svelte-vg0pm4"&&(br.textContent=wc),Mo.forEach(t),Tg=i(e),M=s(e,"DIV",{class:!0});var Ro=h(M);u(en.$$.fragment,Ro),Vu=i(Ro),_r=s(Ro,"P",{"data-svelte-h":!0}),_(_r)!=="svelte-1agk3h6"&&(_r.textContent=Tc),Ro.forEach(t),Dg=i(e),u(tn.$$.fragment,e),Ag=i(e),R=s(e,"DIV",{class:!0});var Bo=h(R);u(nn.$$.fragment,Bo),Lu=i(Bo),vr=s(Bo,"P",{"data-svelte-h":!0}),_(vr)!=="svelte-m0m3mi"&&(vr.textContent=Dc),Bo.forEach(t),Ng=i(e),B=s(e,"DIV",{class:!0});var Fo=h(B);u(an.$$.fragment,Fo),Su=i(Fo),$r=s(Fo,"P",{"data-svelte-h":!0}),_($r)!=="svelte-1sts6rc"&&($r.textContent=Ac),Fo.forEach(t),Pg=i(e),F=s(e,"DIV",{class:!0});var Ho=h(F);u(rn.$$.fragment,Ho),zu=i(Ho),xr=s(Ho,"P",{"data-svelte-h":!0}),_(xr)!=="svelte-k70jko"&&(xr.textContent=Nc),Ho.forEach(t),Eg=i(e),u(gn.$$.fragment,e),kg=i(e),H=s(e,"DIV",{class:!0});var Uo=h(H);u(sn.$$.fragment,Uo),Gu=i(Uo),Cr=s(Uo,"P",{"data-svelte-h":!0}),_(Cr)!=="svelte-mctko8"&&(Cr.textContent=Pc),Uo.forEach(t),Vg=i(e),U=s(e,"DIV",{class:!0});var Jo=h(U);u(on.$$.fragment,Jo),ju=i(Jo),yr=s(Jo,"P",{"data-svelte-h":!0}),_(yr)!=="svelte-10d772x"&&(yr.textContent=Ec),Jo.forEach(t),Lg=i(e),J=s(e,"DIV",{class:!0});var Wo=h(J);u(ln.$$.fragment,Wo),qu=i(Wo),Ir=s(Wo,"P",{"data-svelte-h":!0}),_(Ir)!=="svelte-mesrma"&&(Ir.textContent=kc),Wo.forEach(t),Sg=i(e),u(un.$$.fragment,e),zg=i(e),W=s(e,"DIV",{class:!0});var Ko=h(W);u(mn.$$.fragment,Ko),Qu=i(Ko),Or=s(Ko,"P",{"data-svelte-h":!0}),_(Or)!=="svelte-q286hi"&&(Or.textContent=Vc),Ko.forEach(t),Gg=i(e),K=s(e,"DIV",{class:!0});var Xo=h(K);u(cn.$$.fragment,Xo),Zu=i(Xo),wr=s(Xo,"P",{"data-svelte-h":!0}),_(wr)!=="svelte-k6vljo"&&(wr.textContent=Lc),Xo.forEach(t),jg=i(e),X=s(e,"DIV",{class:!0});var Yo=h(X);u(pn.$$.fragment,Yo),Mu=i(Yo),Tr=s(Yo,"P",{"data-svelte-h":!0}),_(Tr)!=="svelte-eruquw"&&(Tr.textContent=Sc),Yo.forEach(t),qg=i(e),Y=s(e,"DIV",{class:!0});var el=h(Y);u(fn.$$.fragment,el),Ru=i(el),Dr=s(el,"P",{"data-svelte-h":!0}),_(Dr)!=="svelte-eam3z5"&&(Dr.textContent=zc),el.forEach(t),Qg=i(e),u(hn.$$.fragment,e),Zg=i(e),ee=s(e,"DIV",{class:!0});var tl=h(ee);u(dn.$$.fragment,tl),Bu=i(tl),Ar=s(tl,"P",{"data-svelte-h":!0}),_(Ar)!=="svelte-a7ph4"&&(Ar.textContent=Gc),tl.forEach(t),Mg=i(e),te=s(e,"DIV",{class:!0});var nl=h(te);u(bn.$$.fragment,nl),Fu=i(nl),Nr=s(nl,"P",{"data-svelte-h":!0}),_(Nr)!=="svelte-1n2elv4"&&(Nr.textContent=jc),nl.forEach(t),Rg=i(e),ne=s(e,"DIV",{class:!0});var al=h(ne);u(_n.$$.fragment,al),Hu=i(al),Pr=s(al,"P",{"data-svelte-h":!0}),_(Pr)!=="svelte-1rj90i2"&&(Pr.textContent=qc),al.forEach(t),Bg=i(e),ae=s(e,"DIV",{class:!0});var rl=h(ae);u(vn.$$.fragment,rl),Uu=i(rl),Er=s(rl,"P",{"data-svelte-h":!0}),_(Er)!=="svelte-17voqe0"&&(Er.textContent=Qc),rl.forEach(t),Fg=i(e),u($n.$$.fragment,e),Hg=i(e),re=s(e,"DIV",{class:!0});var il=h(re);u(xn.$$.fragment,il),Ju=i(il),kr=s(il,"P",{"data-svelte-h":!0}),_(kr)!=="svelte-im3jf9"&&(kr.textContent=Zc),il.forEach(t),Ug=i(e),ie=s(e,"DIV",{class:!0});var gl=h(ie);u(Cn.$$.fragment,gl),Wu=i(gl),Vr=s(gl,"P",{"data-svelte-h":!0}),_(Vr)!=="svelte-s0dxhd"&&(Vr.textContent=Mc),gl.forEach(t),Jg=i(e),ge=s(e,"DIV",{class:!0});var sl=h(ge);u(yn.$$.fragment,sl),Ku=i(sl),Lr=s(sl,"P",{"data-svelte-h":!0}),_(Lr)!=="svelte-lj2u9z"&&(Lr.textContent=Rc),sl.forEach(t),Wg=i(e),se=s(e,"DIV",{class:!0});var ol=h(se);u(In.$$.fragment,ol),Xu=i(ol),Sr=s(ol,"P",{"data-svelte-h":!0}),_(Sr)!=="svelte-y9d7kd"&&(Sr.textContent=Bc),ol.forEach(t),Kg=i(e),u(On.$$.fragment,e),Xg=i(e),oe=s(e,"DIV",{class:!0});var ll=h(oe);u(wn.$$.fragment,ll),Yu=i(ll),zr=s(ll,"P",{"data-svelte-h":!0}),_(zr)!=="svelte-2apwur"&&(zr.textContent=Fc),ll.forEach(t),Yg=i(e),le=s(e,"DIV",{class:!0});var ul=h(le);u(Tn.$$.fragment,ul),em=i(ul),Gr=s(ul,"P",{"data-svelte-h":!0}),_(Gr)!=="svelte-1j04xkd"&&(Gr.textContent=Hc),ul.forEach(t),es=i(e),ue=s(e,"DIV",{class:!0});var ml=h(ue);u(Dn.$$.fragment,ml),tm=i(ml),jr=s(ml,"P",{"data-svelte-h":!0}),_(jr)!=="svelte-1oc2myl"&&(jr.textContent=Uc),ml.forEach(t),ts=i(e),me=s(e,"DIV",{class:!0});var cl=h(me);u(An.$$.fragment,cl),nm=i(cl),qr=s(cl,"P",{"data-svelte-h":!0}),_(qr)!=="svelte-1e750en"&&(qr.textContent=Jc),cl.forEach(t),ns=i(e),u(Nn.$$.fragment,e),as=i(e),ce=s(e,"DIV",{class:!0});var pl=h(ce);u(Pn.$$.fragment,pl),am=i(pl),Qr=s(pl,"P",{"data-svelte-h":!0}),_(Qr)!=="svelte-1xxnz2z"&&(Qr.textContent=Wc),pl.forEach(t),rs=i(e),En=s(e,"DIV",{class:!0});var ef=h(En);u(kn.$$.fragment,ef),ef.forEach(t),is=i(e),u(Vn.$$.fragment,e),gs=i(e),pe=s(e,"DIV",{class:!0});var fl=h(pe);u(Ln.$$.fragment,fl),rm=i(fl),Zr=s(fl,"P",{"data-svelte-h":!0}),_(Zr)!=="svelte-14vs39r"&&(Zr.textContent=Kc),fl.forEach(t),ss=i(e),fe=s(e,"DIV",{class:!0});var hl=h(fe);u(Sn.$$.fragment,hl),im=i(hl),Mr=s(hl,"P",{"data-svelte-h":!0}),_(Mr)!=="svelte-4ndaf5"&&(Mr.textContent=Xc),hl.forEach(t),os=i(e),he=s(e,"DIV",{class:!0});var dl=h(he);u(zn.$$.fragment,dl),gm=i(dl),Rr=s(dl,"P",{"data-svelte-h":!0}),_(Rr)!=="svelte-1gauzro"&&(Rr.textContent=Yc),dl.forEach(t),ls=i(e),u(Gn.$$.fragment,e),us=i(e),de=s(e,"DIV",{class:!0});var bl=h(de);u(jn.$$.fragment,bl),sm=i(bl),Br=s(bl,"P",{"data-svelte-h":!0}),_(Br)!=="svelte-ou48df"&&(Br.textContent=ep),bl.forEach(t),ms=i(e),be=s(e,"DIV",{class:!0});var _l=h(be);u(qn.$$.fragment,_l),om=i(_l),Fr=s(_l,"P",{"data-svelte-h":!0}),_(Fr)!=="svelte-miq2j0"&&(Fr.textContent=tp),_l.forEach(t),cs=i(e),_e=s(e,"DIV",{class:!0});var vl=h(_e);u(Qn.$$.fragment,vl),lm=i(vl),Hr=s(vl,"P",{"data-svelte-h":!0}),_(Hr)!=="svelte-18jk6yt"&&(Hr.textContent=np),vl.forEach(t),ps=i(e),u(Zn.$$.fragment,e),fs=i(e),ve=s(e,"DIV",{class:!0});var $l=h(ve);u(Mn.$$.fragment,$l),um=i($l),Ur=s($l,"P",{"data-svelte-h":!0}),_(Ur)!=="svelte-4szi7r"&&(Ur.textContent=ap),$l.forEach(t),hs=i(e),$e=s(e,"DIV",{class:!0});var xl=h($e);u(Rn.$$.fragment,xl),mm=i(xl),Jr=s(xl,"P",{"data-svelte-h":!0}),_(Jr)!=="svelte-z7kzmx"&&(Jr.textContent=rp),xl.forEach(t),ds=i(e),xe=s(e,"DIV",{class:!0});var Cl=h(xe);u(Bn.$$.fragment,Cl),cm=i(Cl),Wr=s(Cl,"P",{"data-svelte-h":!0}),_(Wr)!=="svelte-14vs39r"&&(Wr.textContent=ip),Cl.forEach(t),bs=i(e),u(Fn.$$.fragment,e),_s=i(e),Ce=s(e,"DIV",{class:!0});var yl=h(Ce);u(Hn.$$.fragment,yl),pm=i(yl),Kr=s(yl,"P",{"data-svelte-h":!0}),_(Kr)!=="svelte-1m11geo"&&(Kr.textContent=gp),yl.forEach(t),vs=i(e),ye=s(e,"DIV",{class:!0});var Il=h(ye);u(Un.$$.fragment,Il),fm=i(Il),Xr=s(Il,"P",{"data-svelte-h":!0}),_(Xr)!=="svelte-12zz0uy"&&(Xr.textContent=sp),Il.forEach(t),$s=i(e),Ie=s(e,"DIV",{class:!0});var Ol=h(Ie);u(Jn.$$.fragment,Ol),hm=i(Ol),Yr=s(Ol,"P",{"data-svelte-h":!0}),_(Yr)!=="svelte-vtuseo"&&(Yr.textContent=op),Ol.forEach(t),xs=i(e),u(Wn.$$.fragment,e),Cs=i(e),Oe=s(e,"DIV",{class:!0});var wl=h(Oe);u(Kn.$$.fragment,wl),dm=i(wl),ei=s(wl,"P",{"data-svelte-h":!0}),_(ei)!=="svelte-y83606"&&(ei.textContent=lp),wl.forEach(t),ys=i(e),we=s(e,"DIV",{class:!0});var Tl=h(we);u(Xn.$$.fragment,Tl),bm=i(Tl),ti=s(Tl,"P",{"data-svelte-h":!0}),_(ti)!=="svelte-1j7wx79"&&(ti.textContent=up),Tl.forEach(t),Is=i(e),Te=s(e,"DIV",{class:!0});var Dl=h(Te);u(Yn.$$.fragment,Dl),_m=i(Dl),ni=s(Dl,"P",{"data-svelte-h":!0}),_(ni)!=="svelte-4o2n4t"&&(ni.textContent=mp),Dl.forEach(t),Os=i(e),ea=s(e,"DIV",{class:!0});var tf=h(ea);u(ta.$$.fragment,tf),tf.forEach(t),ws=i(e),De=s(e,"DIV",{class:!0});var Al=h(De);u(na.$$.fragment,Al),vm=i(Al),ai=s(Al,"P",{"data-svelte-h":!0}),_(ai)!=="svelte-1v7b6gy"&&(ai.textContent=cp),Al.forEach(t),Ts=i(e),Ae=s(e,"DIV",{class:!0});var Nl=h(Ae);u(aa.$$.fragment,Nl),$m=i(Nl),ri=s(Nl,"P",{"data-svelte-h":!0}),_(ri)!=="svelte-btvrgm"&&(ri.textContent=pp),Nl.forEach(t),Ds=i(e),ra=s(e,"DIV",{class:!0});var nf=h(ra);u(ia.$$.fragment,nf),nf.forEach(t),As=i(e),Ne=s(e,"DIV",{class:!0});var Pl=h(Ne);u(ga.$$.fragment,Pl),xm=i(Pl),ii=s(Pl,"P",{"data-svelte-h":!0}),_(ii)!=="svelte-19utiag"&&(ii.textContent=fp),Pl.forEach(t),Ns=i(e),Pe=s(e,"DIV",{class:!0});var El=h(Pe);u(sa.$$.fragment,El),Cm=i(El),gi=s(El,"P",{"data-svelte-h":!0}),_(gi)!=="svelte-vyiil2"&&(gi.textContent=hp),El.forEach(t),Ps=i(e),u(oa.$$.fragment,e),Es=i(e),Ee=s(e,"DIV",{class:!0});var kl=h(Ee);u(la.$$.fragment,kl),ym=i(kl),si=s(kl,"P",{"data-svelte-h":!0}),_(si)!=="svelte-a7ph4"&&(si.textContent=dp),kl.forEach(t),ks=i(e),ke=s(e,"DIV",{class:!0});var Vl=h(ke);u(ua.$$.fragment,Vl),Im=i(Vl),oi=s(Vl,"P",{"data-svelte-h":!0}),_(oi)!=="svelte-1vkgn3x"&&(oi.textContent=bp),Vl.forEach(t),Vs=i(e),Ve=s(e,"DIV",{class:!0});var Ll=h(Ve);u(ma.$$.fragment,Ll),Om=i(Ll),li=s(Ll,"P",{"data-svelte-h":!0}),_(li)!=="svelte-2fhz7f"&&(li.textContent=_p),Ll.forEach(t),Ls=i(e),Le=s(e,"DIV",{class:!0});var Sl=h(Le);u(ca.$$.fragment,Sl),wm=i(Sl),ui=s(Sl,"P",{"data-svelte-h":!0}),_(ui)!=="svelte-feoncv"&&(ui.textContent=vp),Sl.forEach(t),Ss=i(e),u(pa.$$.fragment,e),zs=i(e),Se=s(e,"DIV",{class:!0});var zl=h(Se);u(fa.$$.fragment,zl),Tm=i(zl),mi=s(zl,"P",{"data-svelte-h":!0}),_(mi)!=="svelte-t7gxtg"&&(mi.textContent=$p),zl.forEach(t),Gs=i(e),ze=s(e,"DIV",{class:!0});var Gl=h(ze);u(ha.$$.fragment,Gl),Dm=i(Gl),ci=s(Gl,"P",{"data-svelte-h":!0}),_(ci)!=="svelte-nrlg6m"&&(ci.textContent=xp),Gl.forEach(t),js=i(e),Ge=s(e,"DIV",{class:!0});var jl=h(Ge);u(da.$$.fragment,jl),Am=i(jl),pi=s(jl,"P",{"data-svelte-h":!0}),_(pi)!=="svelte-imfgvk"&&(pi.textContent=Cp),jl.forEach(t),qs=i(e),je=s(e,"DIV",{class:!0});var ql=h(je);u(ba.$$.fragment,ql),Nm=i(ql),fi=s(ql,"P",{"data-svelte-h":!0}),_(fi)!=="svelte-eam3z5"&&(fi.textContent=yp),ql.forEach(t),Qs=i(e),u(_a.$$.fragment,e),Zs=i(e),qe=s(e,"DIV",{class:!0});var Ql=h(qe);u(va.$$.fragment,Ql),Pm=i(Ql),hi=s(Ql,"P",{"data-svelte-h":!0}),_(hi)!=="svelte-17gsleq"&&(hi.textContent=Ip),Ql.forEach(t),Ms=i(e),Qe=s(e,"DIV",{class:!0});var Zl=h(Qe);u($a.$$.fragment,Zl),Em=i(Zl),di=s(Zl,"P",{"data-svelte-h":!0}),_(di)!=="svelte-146ged4"&&(di.textContent=Op),Zl.forEach(t),Rs=i(e),Ze=s(e,"DIV",{class:!0});var Ml=h(Ze);u(xa.$$.fragment,Ml),km=i(Ml),bi=s(Ml,"P",{"data-svelte-h":!0}),_(bi)!=="svelte-1fbcw48"&&(bi.textContent=wp),Ml.forEach(t),Bs=i(e),u(Ca.$$.fragment,e),Fs=i(e),Me=s(e,"DIV",{class:!0});var Rl=h(Me);u(ya.$$.fragment,Rl),Vm=i(Rl),_i=s(Rl,"P",{"data-svelte-h":!0}),_(_i)!=="svelte-14vs39r"&&(_i.textContent=Tp),Rl.forEach(t),Hs=i(e),Re=s(e,"DIV",{class:!0});var Bl=h(Re);u(Ia.$$.fragment,Bl),Lm=i(Bl),vi=s(Bl,"P",{"data-svelte-h":!0}),_(vi)!=="svelte-1cf0r59"&&(vi.textContent=Dp),Bl.forEach(t),Us=i(e),Be=s(e,"DIV",{class:!0});var Fl=h(Be);u(Oa.$$.fragment,Fl),Sm=i(Fl),$i=s(Fl,"P",{"data-svelte-h":!0}),_($i)!=="svelte-t16mr4"&&($i.textContent=Ap),Fl.forEach(t),Js=i(e),u(wa.$$.fragment,e),Ws=i(e),Fe=s(e,"DIV",{class:!0});var Hl=h(Fe);u(Ta.$$.fragment,Hl),zm=i(Hl),xi=s(Hl,"P",{"data-svelte-h":!0}),_(xi)!=="svelte-1i4tazw"&&(xi.textContent=Np),Hl.forEach(t),Ks=i(e),He=s(e,"DIV",{class:!0});var Ul=h(He);u(Da.$$.fragment,Ul),Gm=i(Ul),Ci=s(Ul,"P",{"data-svelte-h":!0}),_(Ci)!=="svelte-11oqfva"&&(Ci.textContent=Pp),Ul.forEach(t),Xs=i(e),Ue=s(e,"DIV",{class:!0});var Jl=h(Ue);u(Aa.$$.fragment,Jl),jm=i(Jl),yi=s(Jl,"P",{"data-svelte-h":!0}),_(yi)!=="svelte-j3ynt6"&&(yi.textContent=Ep),Jl.forEach(t),Ys=i(e),u(Na.$$.fragment,e),eo=i(e),Je=s(e,"DIV",{class:!0});var Wl=h(Je);u(Pa.$$.fragment,Wl),qm=i(Wl),Ii=s(Wl,"P",{"data-svelte-h":!0}),_(Ii)!=="svelte-l9gkz5"&&(Ii.textContent=kp),Wl.forEach(t),to=i(e),We=s(e,"DIV",{class:!0});var Kl=h(We);u(Ea.$$.fragment,Kl),Qm=i(Kl),Oi=s(Kl,"P",{"data-svelte-h":!0}),_(Oi)!=="svelte-nqr1av"&&(Oi.textContent=Vp),Kl.forEach(t),no=i(e),Ke=s(e,"DIV",{class:!0});var Xl=h(Ke);u(ka.$$.fragment,Xl),Zm=i(Xl),wi=s(Xl,"P",{"data-svelte-h":!0}),_(wi)!=="svelte-1uha5ef"&&(wi.textContent=Lp),Xl.forEach(t),ao=i(e),Xe=s(e,"DIV",{class:!0});var Yl=h(Xe);u(Va.$$.fragment,Yl),Mm=i(Yl),Ti=s(Yl,"P",{"data-svelte-h":!0}),_(Ti)!=="svelte-15d7mkj"&&(Ti.textContent=Sp),Yl.forEach(t),ro=i(e),u(La.$$.fragment,e),io=i(e),Ye=s(e,"DIV",{class:!0});var eu=h(Ye);u(Sa.$$.fragment,eu),Rm=i(eu),Di=s(eu,"P",{"data-svelte-h":!0}),_(Di)!=="svelte-85ft2f"&&(Di.textContent=zp),eu.forEach(t),go=i(e),et=s(e,"DIV",{class:!0});var tu=h(et);u(za.$$.fragment,tu),Bm=i(tu),Ai=s(tu,"P",{"data-svelte-h":!0}),_(Ai)!=="svelte-1ejzuoe"&&(Ai.textContent=Gp),tu.forEach(t),so=i(e),tt=s(e,"DIV",{class:!0});var nu=h(tt);u(Ga.$$.fragment,nu),Fm=i(nu),Ni=s(nu,"P",{"data-svelte-h":!0}),_(Ni)!=="svelte-15it97t"&&(Ni.textContent=jp),nu.forEach(t),oo=i(e),nt=s(e,"DIV",{class:!0});var au=h(nt);u(ja.$$.fragment,au),Hm=i(au),Pi=s(au,"P",{"data-svelte-h":!0}),_(Pi)!=="svelte-1r0p8bz"&&(Pi.textContent=qp),au.forEach(t),lo=i(e),u(qa.$$.fragment,e),uo=i(e),at=s(e,"DIV",{class:!0});var ru=h(at);u(Qa.$$.fragment,ru),Um=i(ru),Ei=s(ru,"P",{"data-svelte-h":!0}),_(Ei)!=="svelte-1b20k2g"&&(Ei.textContent=Qp),ru.forEach(t),mo=i(e),rt=s(e,"DIV",{class:!0});var iu=h(rt);u(Za.$$.fragment,iu),Jm=i(iu),ki=s(iu,"P",{"data-svelte-h":!0}),_(ki)!=="svelte-1jgk6m"&&(ki.textContent=Zp),iu.forEach(t),co=i(e),it=s(e,"DIV",{class:!0});var gu=h(it);u(Ma.$$.fragment,gu),Wm=i(gu),Vi=s(gu,"P",{"data-svelte-h":!0}),_(Vi)!=="svelte-1y9kya2"&&(Vi.textContent=Mp),gu.forEach(t),po=i(e),gt=s(e,"DIV",{class:!0});var su=h(gt);u(Ra.$$.fragment,su),Km=i(su),Li=s(su,"P",{"data-svelte-h":!0}),_(Li)!=="svelte-2sakm"&&(Li.textContent=Rp),su.forEach(t),fo=i(e),u(Ba.$$.fragment,e),ho=i(e),st=s(e,"DIV",{class:!0});var ou=h(st);u(Fa.$$.fragment,ou),Xm=i(ou),Si=s(ou,"P",{"data-svelte-h":!0}),_(Si)!=="svelte-im3jf9"&&(Si.textContent=Bp),ou.forEach(t),bo=i(e),ot=s(e,"DIV",{class:!0});var lu=h(ot);u(Ha.$$.fragment,lu),Ym=i(lu),zi=s(lu,"P",{"data-svelte-h":!0}),_(zi)!=="svelte-1dnrq33"&&(zi.textContent=Fp),lu.forEach(t),_o=i(e),lt=s(e,"DIV",{class:!0});var uu=h(lt);u(Ua.$$.fragment,uu),ec=i(uu),Gi=s(uu,"P",{"data-svelte-h":!0}),_(Gi)!=="svelte-1jgk6m"&&(Gi.textContent=Hp),uu.forEach(t),vo=i(e),ut=s(e,"DIV",{class:!0});var mu=h(ut);u(Ja.$$.fragment,mu),tc=i(mu),ji=s(mu,"P",{"data-svelte-h":!0}),_(ji)!=="svelte-mrxhh5"&&(ji.textContent=Up),mu.forEach(t),$o=i(e),Qi=s(e,"P",{}),h(Qi).forEach(t),this.h()},h(){d($,"name","hf:doc:metadata"),d($,"content",mf),d(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(En,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ea,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ra,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(We,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){o(document.head,$),a(e,Zi,n),a(e,qi,n),a(e,Mi,n),m(mt,e,n),a(e,Ri,n),a(e,ct,n),a(e,Bi,n),a(e,pt,n),a(e,Fi,n),m(ft,e,n),a(e,Hi,n),a(e,x,n),m(ht,x,null),o(x,cu),o(x,Wa),a(e,Ui,n),a(e,C,n),m(dt,C,null),o(C,pu),o(C,Ka),a(e,Ji,n),a(e,y,n),m(bt,y,null),o(y,fu),o(y,Xa),a(e,Wi,n),m(_t,e,n),a(e,Ki,n),a(e,I,n),m(vt,I,null),o(I,hu),o(I,Ya),a(e,Xi,n),a(e,O,n),m($t,O,null),o(O,du),o(O,er),a(e,Yi,n),m(xt,e,n),a(e,eg,n),a(e,w,n),m(Ct,w,null),o(w,bu),o(w,tr),a(e,tg,n),a(e,T,n),m(yt,T,null),o(T,_u),o(T,nr),a(e,ng,n),a(e,D,n),m(It,D,null),o(D,vu),o(D,ar),a(e,ag,n),a(e,Ot,n),m(wt,Ot,null),a(e,rg,n),a(e,A,n),m(Tt,A,null),o(A,$u),o(A,rr),a(e,ig,n),m(Dt,e,n),a(e,gg,n),a(e,N,n),m(At,N,null),o(N,xu),o(N,ir),a(e,sg,n),a(e,Nt,n),m(Pt,Nt,null),a(e,og,n),a(e,P,n),m(Et,P,null),o(P,Cu),o(P,gr),a(e,lg,n),a(e,kt,n),m(Vt,kt,null),a(e,ug,n),a(e,Lt,n),m(St,Lt,null),a(e,mg,n),a(e,E,n),m(zt,E,null),o(E,yu),o(E,sr),a(e,cg,n),a(e,Gt,n),m(jt,Gt,null),a(e,pg,n),a(e,k,n),m(qt,k,null),o(k,Iu),o(k,or),a(e,fg,n),m(Qt,e,n),a(e,hg,n),a(e,V,n),m(Zt,V,null),o(V,Ou),o(V,lr),a(e,dg,n),a(e,L,n),m(Mt,L,null),o(L,wu),o(L,ur),a(e,bg,n),m(Rt,e,n),a(e,_g,n),a(e,S,n),m(Bt,S,null),o(S,Tu),o(S,mr),a(e,vg,n),a(e,z,n),m(Ft,z,null),o(z,Du),o(z,cr),a(e,$g,n),a(e,G,n),m(Ht,G,null),o(G,Au),o(G,pr),a(e,xg,n),a(e,j,n),m(Ut,j,null),o(j,Nu),o(j,fr),a(e,Cg,n),m(Jt,e,n),a(e,yg,n),a(e,q,n),m(Wt,q,null),o(q,Pu),o(q,hr),a(e,Ig,n),m(Kt,e,n),a(e,Og,n),a(e,Q,n),m(Xt,Q,null),o(Q,Eu),o(Q,dr),a(e,wg,n),a(e,Z,n),m(Yt,Z,null),o(Z,ku),o(Z,br),a(e,Tg,n),a(e,M,n),m(en,M,null),o(M,Vu),o(M,_r),a(e,Dg,n),m(tn,e,n),a(e,Ag,n),a(e,R,n),m(nn,R,null),o(R,Lu),o(R,vr),a(e,Ng,n),a(e,B,n),m(an,B,null),o(B,Su),o(B,$r),a(e,Pg,n),a(e,F,n),m(rn,F,null),o(F,zu),o(F,xr),a(e,Eg,n),m(gn,e,n),a(e,kg,n),a(e,H,n),m(sn,H,null),o(H,Gu),o(H,Cr),a(e,Vg,n),a(e,U,n),m(on,U,null),o(U,ju),o(U,yr),a(e,Lg,n),a(e,J,n),m(ln,J,null),o(J,qu),o(J,Ir),a(e,Sg,n),m(un,e,n),a(e,zg,n),a(e,W,n),m(mn,W,null),o(W,Qu),o(W,Or),a(e,Gg,n),a(e,K,n),m(cn,K,null),o(K,Zu),o(K,wr),a(e,jg,n),a(e,X,n),m(pn,X,null),o(X,Mu),o(X,Tr),a(e,qg,n),a(e,Y,n),m(fn,Y,null),o(Y,Ru),o(Y,Dr),a(e,Qg,n),m(hn,e,n),a(e,Zg,n),a(e,ee,n),m(dn,ee,null),o(ee,Bu),o(ee,Ar),a(e,Mg,n),a(e,te,n),m(bn,te,null),o(te,Fu),o(te,Nr),a(e,Rg,n),a(e,ne,n),m(_n,ne,null),o(ne,Hu),o(ne,Pr),a(e,Bg,n),a(e,ae,n),m(vn,ae,null),o(ae,Uu),o(ae,Er),a(e,Fg,n),m($n,e,n),a(e,Hg,n),a(e,re,n),m(xn,re,null),o(re,Ju),o(re,kr),a(e,Ug,n),a(e,ie,n),m(Cn,ie,null),o(ie,Wu),o(ie,Vr),a(e,Jg,n),a(e,ge,n),m(yn,ge,null),o(ge,Ku),o(ge,Lr),a(e,Wg,n),a(e,se,n),m(In,se,null),o(se,Xu),o(se,Sr),a(e,Kg,n),m(On,e,n),a(e,Xg,n),a(e,oe,n),m(wn,oe,null),o(oe,Yu),o(oe,zr),a(e,Yg,n),a(e,le,n),m(Tn,le,null),o(le,em),o(le,Gr),a(e,es,n),a(e,ue,n),m(Dn,ue,null),o(ue,tm),o(ue,jr),a(e,ts,n),a(e,me,n),m(An,me,null),o(me,nm),o(me,qr),a(e,ns,n),m(Nn,e,n),a(e,as,n),a(e,ce,n),m(Pn,ce,null),o(ce,am),o(ce,Qr),a(e,rs,n),a(e,En,n),m(kn,En,null),a(e,is,n),m(Vn,e,n),a(e,gs,n),a(e,pe,n),m(Ln,pe,null),o(pe,rm),o(pe,Zr),a(e,ss,n),a(e,fe,n),m(Sn,fe,null),o(fe,im),o(fe,Mr),a(e,os,n),a(e,he,n),m(zn,he,null),o(he,gm),o(he,Rr),a(e,ls,n),m(Gn,e,n),a(e,us,n),a(e,de,n),m(jn,de,null),o(de,sm),o(de,Br),a(e,ms,n),a(e,be,n),m(qn,be,null),o(be,om),o(be,Fr),a(e,cs,n),a(e,_e,n),m(Qn,_e,null),o(_e,lm),o(_e,Hr),a(e,ps,n),m(Zn,e,n),a(e,fs,n),a(e,ve,n),m(Mn,ve,null),o(ve,um),o(ve,Ur),a(e,hs,n),a(e,$e,n),m(Rn,$e,null),o($e,mm),o($e,Jr),a(e,ds,n),a(e,xe,n),m(Bn,xe,null),o(xe,cm),o(xe,Wr),a(e,bs,n),m(Fn,e,n),a(e,_s,n),a(e,Ce,n),m(Hn,Ce,null),o(Ce,pm),o(Ce,Kr),a(e,vs,n),a(e,ye,n),m(Un,ye,null),o(ye,fm),o(ye,Xr),a(e,$s,n),a(e,Ie,n),m(Jn,Ie,null),o(Ie,hm),o(Ie,Yr),a(e,xs,n),m(Wn,e,n),a(e,Cs,n),a(e,Oe,n),m(Kn,Oe,null),o(Oe,dm),o(Oe,ei),a(e,ys,n),a(e,we,n),m(Xn,we,null),o(we,bm),o(we,ti),a(e,Is,n),a(e,Te,n),m(Yn,Te,null),o(Te,_m),o(Te,ni),a(e,Os,n),a(e,ea,n),m(ta,ea,null),a(e,ws,n),a(e,De,n),m(na,De,null),o(De,vm),o(De,ai),a(e,Ts,n),a(e,Ae,n),m(aa,Ae,null),o(Ae,$m),o(Ae,ri),a(e,Ds,n),a(e,ra,n),m(ia,ra,null),a(e,As,n),a(e,Ne,n),m(ga,Ne,null),o(Ne,xm),o(Ne,ii),a(e,Ns,n),a(e,Pe,n),m(sa,Pe,null),o(Pe,Cm),o(Pe,gi),a(e,Ps,n),m(oa,e,n),a(e,Es,n),a(e,Ee,n),m(la,Ee,null),o(Ee,ym),o(Ee,si),a(e,ks,n),a(e,ke,n),m(ua,ke,null),o(ke,Im),o(ke,oi),a(e,Vs,n),a(e,Ve,n),m(ma,Ve,null),o(Ve,Om),o(Ve,li),a(e,Ls,n),a(e,Le,n),m(ca,Le,null),o(Le,wm),o(Le,ui),a(e,Ss,n),m(pa,e,n),a(e,zs,n),a(e,Se,n),m(fa,Se,null),o(Se,Tm),o(Se,mi),a(e,Gs,n),a(e,ze,n),m(ha,ze,null),o(ze,Dm),o(ze,ci),a(e,js,n),a(e,Ge,n),m(da,Ge,null),o(Ge,Am),o(Ge,pi),a(e,qs,n),a(e,je,n),m(ba,je,null),o(je,Nm),o(je,fi),a(e,Qs,n),m(_a,e,n),a(e,Zs,n),a(e,qe,n),m(va,qe,null),o(qe,Pm),o(qe,hi),a(e,Ms,n),a(e,Qe,n),m($a,Qe,null),o(Qe,Em),o(Qe,di),a(e,Rs,n),a(e,Ze,n),m(xa,Ze,null),o(Ze,km),o(Ze,bi),a(e,Bs,n),m(Ca,e,n),a(e,Fs,n),a(e,Me,n),m(ya,Me,null),o(Me,Vm),o(Me,_i),a(e,Hs,n),a(e,Re,n),m(Ia,Re,null),o(Re,Lm),o(Re,vi),a(e,Us,n),a(e,Be,n),m(Oa,Be,null),o(Be,Sm),o(Be,$i),a(e,Js,n),m(wa,e,n),a(e,Ws,n),a(e,Fe,n),m(Ta,Fe,null),o(Fe,zm),o(Fe,xi),a(e,Ks,n),a(e,He,n),m(Da,He,null),o(He,Gm),o(He,Ci),a(e,Xs,n),a(e,Ue,n),m(Aa,Ue,null),o(Ue,jm),o(Ue,yi),a(e,Ys,n),m(Na,e,n),a(e,eo,n),a(e,Je,n),m(Pa,Je,null),o(Je,qm),o(Je,Ii),a(e,to,n),a(e,We,n),m(Ea,We,null),o(We,Qm),o(We,Oi),a(e,no,n),a(e,Ke,n),m(ka,Ke,null),o(Ke,Zm),o(Ke,wi),a(e,ao,n),a(e,Xe,n),m(Va,Xe,null),o(Xe,Mm),o(Xe,Ti),a(e,ro,n),m(La,e,n),a(e,io,n),a(e,Ye,n),m(Sa,Ye,null),o(Ye,Rm),o(Ye,Di),a(e,go,n),a(e,et,n),m(za,et,null),o(et,Bm),o(et,Ai),a(e,so,n),a(e,tt,n),m(Ga,tt,null),o(tt,Fm),o(tt,Ni),a(e,oo,n),a(e,nt,n),m(ja,nt,null),o(nt,Hm),o(nt,Pi),a(e,lo,n),m(qa,e,n),a(e,uo,n),a(e,at,n),m(Qa,at,null),o(at,Um),o(at,Ei),a(e,mo,n),a(e,rt,n),m(Za,rt,null),o(rt,Jm),o(rt,ki),a(e,co,n),a(e,it,n),m(Ma,it,null),o(it,Wm),o(it,Vi),a(e,po,n),a(e,gt,n),m(Ra,gt,null),o(gt,Km),o(gt,Li),a(e,fo,n),m(Ba,e,n),a(e,ho,n),a(e,st,n),m(Fa,st,null),o(st,Xm),o(st,Si),a(e,bo,n),a(e,ot,n),m(Ha,ot,null),o(ot,Ym),o(ot,zi),a(e,_o,n),a(e,lt,n),m(Ua,lt,null),o(lt,ec),o(lt,Gi),a(e,vo,n),a(e,ut,n),m(Ja,ut,null),o(ut,tc),o(ut,ji),a(e,$o,n),a(e,Qi,n),xo=!0},p:rf,i(e){xo||(c(mt.$$.fragment,e),c(ft.$$.fragment,e),c(ht.$$.fragment,e),c(dt.$$.fragment,e),c(bt.$$.fragment,e),c(_t.$$.fragment,e),c(vt.$$.fragment,e),c($t.$$.fragment,e),c(xt.$$.fragment,e),c(Ct.$$.fragment,e),c(yt.$$.fragment,e),c(It.$$.fragment,e),c(wt.$$.fragment,e),c(Tt.$$.fragment,e),c(Dt.$$.fragment,e),c(At.$$.fragment,e),c(Pt.$$.fragment,e),c(Et.$$.fragment,e),c(Vt.$$.fragment,e),c(St.$$.fragment,e),c(zt.$$.fragment,e),c(jt.$$.fragment,e),c(qt.$$.fragment,e),c(Qt.$$.fragment,e),c(Zt.$$.fragment,e),c(Mt.$$.fragment,e),c(Rt.$$.fragment,e),c(Bt.$$.fragment,e),c(Ft.$$.fragment,e),c(Ht.$$.fragment,e),c(Ut.$$.fragment,e),c(Jt.$$.fragment,e),c(Wt.$$.fragment,e),c(Kt.$$.fragment,e),c(Xt.$$.fragment,e),c(Yt.$$.fragment,e),c(en.$$.fragment,e),c(tn.$$.fragment,e),c(nn.$$.fragment,e),c(an.$$.fragment,e),c(rn.$$.fragment,e),c(gn.$$.fragment,e),c(sn.$$.fragment,e),c(on.$$.fragment,e),c(ln.$$.fragment,e),c(un.$$.fragment,e),c(mn.$$.fragment,e),c(cn.$$.fragment,e),c(pn.$$.fragment,e),c(fn.$$.fragment,e),c(hn.$$.fragment,e),c(dn.$$.fragment,e),c(bn.$$.fragment,e),c(_n.$$.fragment,e),c(vn.$$.fragment,e),c($n.$$.fragment,e),c(xn.$$.fragment,e),c(Cn.$$.fragment,e),c(yn.$$.fragment,e),c(In.$$.fragment,e),c(On.$$.fragment,e),c(wn.$$.fragment,e),c(Tn.$$.fragment,e),c(Dn.$$.fragment,e),c(An.$$.fragment,e),c(Nn.$$.fragment,e),c(Pn.$$.fragment,e),c(kn.$$.fragment,e),c(Vn.$$.fragment,e),c(Ln.$$.fragment,e),c(Sn.$$.fragment,e),c(zn.$$.fragment,e),c(Gn.$$.fragment,e),c(jn.$$.fragment,e),c(qn.$$.fragment,e),c(Qn.$$.fragment,e),c(Zn.$$.fragment,e),c(Mn.$$.fragment,e),c(Rn.$$.fragment,e),c(Bn.$$.fragment,e),c(Fn.$$.fragment,e),c(Hn.$$.fragment,e),c(Un.$$.fragment,e),c(Jn.$$.fragment,e),c(Wn.$$.fragment,e),c(Kn.$$.fragment,e),c(Xn.$$.fragment,e),c(Yn.$$.fragment,e),c(ta.$$.fragment,e),c(na.$$.fragment,e),c(aa.$$.fragment,e),c(ia.$$.fragment,e),c(ga.$$.fragment,e),c(sa.$$.fragment,e),c(oa.$$.fragment,e),c(la.$$.fragment,e),c(ua.$$.fragment,e),c(ma.$$.fragment,e),c(ca.$$.fragment,e),c(pa.$$.fragment,e),c(fa.$$.fragment,e),c(ha.$$.fragment,e),c(da.$$.fragment,e),c(ba.$$.fragment,e),c(_a.$$.fragment,e),c(va.$$.fragment,e),c($a.$$.fragment,e),c(xa.$$.fragment,e),c(Ca.$$.fragment,e),c(ya.$$.fragment,e),c(Ia.$$.fragment,e),c(Oa.$$.fragment,e),c(wa.$$.fragment,e),c(Ta.$$.fragment,e),c(Da.$$.fragment,e),c(Aa.$$.fragment,e),c(Na.$$.fragment,e),c(Pa.$$.fragment,e),c(Ea.$$.fragment,e),c(ka.$$.fragment,e),c(Va.$$.fragment,e),c(La.$$.fragment,e),c(Sa.$$.fragment,e),c(za.$$.fragment,e),c(Ga.$$.fragment,e),c(ja.$$.fragment,e),c(qa.$$.fragment,e),c(Qa.$$.fragment,e),c(Za.$$.fragment,e),c(Ma.$$.fragment,e),c(Ra.$$.fragment,e),c(Ba.$$.fragment,e),c(Fa.$$.fragment,e),c(Ha.$$.fragment,e),c(Ua.$$.fragment,e),c(Ja.$$.fragment,e),xo=!0)},o(e){p(mt.$$.fragment,e),p(ft.$$.fragment,e),p(ht.$$.fragment,e),p(dt.$$.fragment,e),p(bt.$$.fragment,e),p(_t.$$.fragment,e),p(vt.$$.fragment,e),p($t.$$.fragment,e),p(xt.$$.fragment,e),p(Ct.$$.fragment,e),p(yt.$$.fragment,e),p(It.$$.fragment,e),p(wt.$$.fragment,e),p(Tt.$$.fragment,e),p(Dt.$$.fragment,e),p(At.$$.fragment,e),p(Pt.$$.fragment,e),p(Et.$$.fragment,e),p(Vt.$$.fragment,e),p(St.$$.fragment,e),p(zt.$$.fragment,e),p(jt.$$.fragment,e),p(qt.$$.fragment,e),p(Qt.$$.fragment,e),p(Zt.$$.fragment,e),p(Mt.$$.fragment,e),p(Rt.$$.fragment,e),p(Bt.$$.fragment,e),p(Ft.$$.fragment,e),p(Ht.$$.fragment,e),p(Ut.$$.fragment,e),p(Jt.$$.fragment,e),p(Wt.$$.fragment,e),p(Kt.$$.fragment,e),p(Xt.$$.fragment,e),p(Yt.$$.fragment,e),p(en.$$.fragment,e),p(tn.$$.fragment,e),p(nn.$$.fragment,e),p(an.$$.fragment,e),p(rn.$$.fragment,e),p(gn.$$.fragment,e),p(sn.$$.fragment,e),p(on.$$.fragment,e),p(ln.$$.fragment,e),p(un.$$.fragment,e),p(mn.$$.fragment,e),p(cn.$$.fragment,e),p(pn.$$.fragment,e),p(fn.$$.fragment,e),p(hn.$$.fragment,e),p(dn.$$.fragment,e),p(bn.$$.fragment,e),p(_n.$$.fragment,e),p(vn.$$.fragment,e),p($n.$$.fragment,e),p(xn.$$.fragment,e),p(Cn.$$.fragment,e),p(yn.$$.fragment,e),p(In.$$.fragment,e),p(On.$$.fragment,e),p(wn.$$.fragment,e),p(Tn.$$.fragment,e),p(Dn.$$.fragment,e),p(An.$$.fragment,e),p(Nn.$$.fragment,e),p(Pn.$$.fragment,e),p(kn.$$.fragment,e),p(Vn.$$.fragment,e),p(Ln.$$.fragment,e),p(Sn.$$.fragment,e),p(zn.$$.fragment,e),p(Gn.$$.fragment,e),p(jn.$$.fragment,e),p(qn.$$.fragment,e),p(Qn.$$.fragment,e),p(Zn.$$.fragment,e),p(Mn.$$.fragment,e),p(Rn.$$.fragment,e),p(Bn.$$.fragment,e),p(Fn.$$.fragment,e),p(Hn.$$.fragment,e),p(Un.$$.fragment,e),p(Jn.$$.fragment,e),p(Wn.$$.fragment,e),p(Kn.$$.fragment,e),p(Xn.$$.fragment,e),p(Yn.$$.fragment,e),p(ta.$$.fragment,e),p(na.$$.fragment,e),p(aa.$$.fragment,e),p(ia.$$.fragment,e),p(ga.$$.fragment,e),p(sa.$$.fragment,e),p(oa.$$.fragment,e),p(la.$$.fragment,e),p(ua.$$.fragment,e),p(ma.$$.fragment,e),p(ca.$$.fragment,e),p(pa.$$.fragment,e),p(fa.$$.fragment,e),p(ha.$$.fragment,e),p(da.$$.fragment,e),p(ba.$$.fragment,e),p(_a.$$.fragment,e),p(va.$$.fragment,e),p($a.$$.fragment,e),p(xa.$$.fragment,e),p(Ca.$$.fragment,e),p(ya.$$.fragment,e),p(Ia.$$.fragment,e),p(Oa.$$.fragment,e),p(wa.$$.fragment,e),p(Ta.$$.fragment,e),p(Da.$$.fragment,e),p(Aa.$$.fragment,e),p(Na.$$.fragment,e),p(Pa.$$.fragment,e),p(Ea.$$.fragment,e),p(ka.$$.fragment,e),p(Va.$$.fragment,e),p(La.$$.fragment,e),p(Sa.$$.fragment,e),p(za.$$.fragment,e),p(Ga.$$.fragment,e),p(ja.$$.fragment,e),p(qa.$$.fragment,e),p(Qa.$$.fragment,e),p(Za.$$.fragment,e),p(Ma.$$.fragment,e),p(Ra.$$.fragment,e),p(Ba.$$.fragment,e),p(Fa.$$.fragment,e),p(Ha.$$.fragment,e),p(Ua.$$.fragment,e),p(Ja.$$.fragment,e),xo=!1},d(e){e&&(t(Zi),t(qi),t(Mi),t(Ri),t(ct),t(Bi),t(pt),t(Fi),t(Hi),t(x),t(Ui),t(C),t(Ji),t(y),t(Wi),t(Ki),t(I),t(Xi),t(O),t(Yi),t(eg),t(w),t(tg),t(T),t(ng),t(D),t(ag),t(Ot),t(rg),t(A),t(ig),t(gg),t(N),t(sg),t(Nt),t(og),t(P),t(lg),t(kt),t(ug),t(Lt),t(mg),t(E),t(cg),t(Gt),t(pg),t(k),t(fg),t(hg),t(V),t(dg),t(L),t(bg),t(_g),t(S),t(vg),t(z),t($g),t(G),t(xg),t(j),t(Cg),t(yg),t(q),t(Ig),t(Og),t(Q),t(wg),t(Z),t(Tg),t(M),t(Dg),t(Ag),t(R),t(Ng),t(B),t(Pg),t(F),t(Eg),t(kg),t(H),t(Vg),t(U),t(Lg),t(J),t(Sg),t(zg),t(W),t(Gg),t(K),t(jg),t(X),t(qg),t(Y),t(Qg),t(Zg),t(ee),t(Mg),t(te),t(Rg),t(ne),t(Bg),t(ae),t(Fg),t(Hg),t(re),t(Ug),t(ie),t(Jg),t(ge),t(Wg),t(se),t(Kg),t(Xg),t(oe),t(Yg),t(le),t(es),t(ue),t(ts),t(me),t(ns),t(as),t(ce),t(rs),t(En),t(is),t(gs),t(pe),t(ss),t(fe),t(os),t(he),t(ls),t(us),t(de),t(ms),t(be),t(cs),t(_e),t(ps),t(fs),t(ve),t(hs),t($e),t(ds),t(xe),t(bs),t(_s),t(Ce),t(vs),t(ye),t($s),t(Ie),t(xs),t(Cs),t(Oe),t(ys),t(we),t(Is),t(Te),t(Os),t(ea),t(ws),t(De),t(Ts),t(Ae),t(Ds),t(ra),t(As),t(Ne),t(Ns),t(Pe),t(Ps),t(Es),t(Ee),t(ks),t(ke),t(Vs),t(Ve),t(Ls),t(Le),t(Ss),t(zs),t(Se),t(Gs),t(ze),t(js),t(Ge),t(qs),t(je),t(Qs),t(Zs),t(qe),t(Ms),t(Qe),t(Rs),t(Ze),t(Bs),t(Fs),t(Me),t(Hs),t(Re),t(Us),t(Be),t(Js),t(Ws),t(Fe),t(Ks),t(He),t(Xs),t(Ue),t(Ys),t(eo),t(Je),t(to),t(We),t(no),t(Ke),t(ao),t(Xe),t(ro),t(io),t(Ye),t(go),t(et),t(so),t(tt),t(oo),t(nt),t(lo),t(uo),t(at),t(mo),t(rt),t(co),t(it),t(po),t(gt),t(fo),t(ho),t(st),t(bo),t(ot),t(_o),t(lt),t(vo),t(ut),t($o),t(Qi)),t($),f(mt,e),f(ft,e),f(ht),f(dt),f(bt),f(_t,e),f(vt),f($t),f(xt,e),f(Ct),f(yt),f(It),f(wt),f(Tt),f(Dt,e),f(At),f(Pt),f(Et),f(Vt),f(St),f(zt),f(jt),f(qt),f(Qt,e),f(Zt),f(Mt),f(Rt,e),f(Bt),f(Ft),f(Ht),f(Ut),f(Jt,e),f(Wt),f(Kt,e),f(Xt),f(Yt),f(en),f(tn,e),f(nn),f(an),f(rn),f(gn,e),f(sn),f(on),f(ln),f(un,e),f(mn),f(cn),f(pn),f(fn),f(hn,e),f(dn),f(bn),f(_n),f(vn),f($n,e),f(xn),f(Cn),f(yn),f(In),f(On,e),f(wn),f(Tn),f(Dn),f(An),f(Nn,e),f(Pn),f(kn),f(Vn,e),f(Ln),f(Sn),f(zn),f(Gn,e),f(jn),f(qn),f(Qn),f(Zn,e),f(Mn),f(Rn),f(Bn),f(Fn,e),f(Hn),f(Un),f(Jn),f(Wn,e),f(Kn),f(Xn),f(Yn),f(ta),f(na),f(aa),f(ia),f(ga),f(sa),f(oa,e),f(la),f(ua),f(ma),f(ca),f(pa,e),f(fa),f(ha),f(da),f(ba),f(_a,e),f(va),f($a),f(xa),f(Ca,e),f(ya),f(Ia),f(Oa),f(wa,e),f(Ta),f(Da),f(Aa),f(Na,e),f(Pa),f(Ea),f(ka),f(Va),f(La,e),f(Sa),f(za),f(Ga),f(ja),f(qa,e),f(Qa),f(Za),f(Ma),f(Ra),f(Ba,e),f(Fa),f(Ha),f(Ua),f(Ja)}}}const mf='{"title":"Inference types","local":"inference-types","sections":[{"title":"audio_classification","local":"huggingface_hub.AudioClassificationInput","sections":[],"depth":2},{"title":"audio_to_audio","local":"huggingface_hub.AudioToAudioInput","sections":[],"depth":2},{"title":"automatic_speech_recognition","local":"huggingface_hub.AutomaticSpeechRecognitionGenerationParameters","sections":[],"depth":2},{"title":"chat_completion","local":"huggingface_hub.ChatCompletionInput","sections":[],"depth":2},{"title":"depth_estimation","local":"huggingface_hub.DepthEstimationInput","sections":[],"depth":2},{"title":"document_question_answering","local":"huggingface_hub.DocumentQuestionAnsweringInput","sections":[],"depth":2},{"title":"feature_extraction","local":"huggingface_hub.FeatureExtractionInput","sections":[],"depth":2},{"title":"fill_mask","local":"huggingface_hub.FillMaskInput","sections":[],"depth":2},{"title":"image_classification","local":"huggingface_hub.ImageClassificationInput","sections":[],"depth":2},{"title":"image_segmentation","local":"huggingface_hub.ImageSegmentationInput","sections":[],"depth":2},{"title":"image_to_image","local":"huggingface_hub.ImageToImageInput","sections":[],"depth":2},{"title":"image_to_text","local":"huggingface_hub.ImageToTextGenerationParameters","sections":[],"depth":2},{"title":"object_detection","local":"huggingface_hub.ObjectDetectionBoundingBox","sections":[],"depth":2},{"title":"question_answering","local":"huggingface_hub.QuestionAnsweringInput","sections":[],"depth":2},{"title":"sentence_similarity","local":"huggingface_hub.SentenceSimilarityInput","sections":[],"depth":2},{"title":"summarization","local":"huggingface_hub.SummarizationGenerationParameters","sections":[],"depth":2},{"title":"table_question_answering","local":"huggingface_hub.TableQuestionAnsweringInput","sections":[],"depth":2},{"title":"text2text_generation","local":"huggingface_hub.Text2TextGenerationInput","sections":[],"depth":2},{"title":"text_classification","local":"huggingface_hub.TextClassificationInput","sections":[],"depth":2},{"title":"text_generation","local":"huggingface_hub.TextGenerationInput","sections":[],"depth":2},{"title":"text_to_audio","local":"huggingface_hub.TextToAudioGenerationParameters","sections":[],"depth":2},{"title":"text_to_image","local":"huggingface_hub.TextToImageInput","sections":[],"depth":2},{"title":"token_classification","local":"huggingface_hub.TokenClassificationInput","sections":[],"depth":2},{"title":"translation","local":"huggingface_hub.TranslationGenerationParameters","sections":[],"depth":2},{"title":"video_classification","local":"huggingface_hub.VideoClassificationInput","sections":[],"depth":2},{"title":"visual_question_answering","local":"huggingface_hub.VisualQuestionAnsweringInput","sections":[],"depth":2},{"title":"zero_shot_classification","local":"huggingface_hub.ZeroShotClassificationInput","sections":[],"depth":2},{"title":"zero_shot_image_classification","local":"huggingface_hub.ZeroShotImageClassificationInput","sections":[],"depth":2},{"title":"zero_shot_object_detection","local":"huggingface_hub.ZeroShotObjectDetectionBoundingBox","sections":[],"depth":2}],"depth":1}';function cf(nc){return gf(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class bf extends sf{constructor($){super(),of(this,$,cf,uf,af,{})}}export{bf as component};
